<%namespace file="/View/_Editable.mako" import="editable" />

<%def name="campus_name(campus)">
<h1>${editable('name',
			   campus.Name,
               campus.Path,
			   disabled = not user.HasPermission(campus.Path, 'write'))}</h1>
</%def>
<%def name="campus_address(campus)">
% if user.HasPermission(campus.Path, 'admin'):
    <a href="#" data-type="textarea" data-url="${campus.Path | h}"
       data-name="address" id="campus-address" data-placement="bottom"
       class="editable editable-click">
    ${campus.address | br}</a>
% else:
    ${campus.address | br}
% endif
</%def>

<%def name="campus_exam_campus(campus)">
% if user.HasPermission(campus.Path, 'admin'):
    <a href="#" data-type="select" data-url="${campus.Path | h}"
       data-source="/campus/?ajax=true" data-value="${campus.ExamCampus.Id | h}"
       data-name="exam_campus" id="campus-exam-campus"
       class="editable editable-click">
    ${campus.ExamCampus.Name | br}</a>
% else:
    ${campus.ExamCampus.Name | br}
% endif
</%def>
