<%inherit file="/View/_Layout.mako" />

% if Model.WorksheetNotFound:
    <p><strong>O arquivo enviado não contém nenhuma planilha chamada “Notas”.</strong></p>

    <p>Verifique o nome das planilhas do arquivo que você enviou; se necessário altere o nome da planilha.</p>
% else:
    % if not import_errors:
    <p>${imported_rows | n,unit('aluno')} foram importados sem nenhum erro!</p>
    % else:
    <p>${imported_rows | n,unit('aluno')} foram importados, mas houve ${len(import_errors) | n,unit('erro')}:</p>

    <ul class="display">
    % for error in import_errors:
        <li>célula <b>${error.cell}</b>:
        % if error.error_type == 'invalid_id':
            o código de aluno &ldquo;${error.value}&rdquo; não existe.
        % else:
            a nota &ldquo;${error.value}&rdquo; não é um número inteiro.
        % endif
        </li>
    % endfor
    </ul>
    % endif
% endif

<a class="left" href="/Course/">&laquo; voltar à página de campanhas</a>
<br class="clear">
