<%inherit file="/View/_Layout.mako" />
<%namespace file="/Candidate/View/Candidate/_Filter.mako" import="*" />
<%include file="/View/_Spinner.mako" />

${filter_styles()}

<div class="row-fluid">

<div class="span9">
    <h2>Alunos inscritos</h2>

	${star_rating_def()}

	<div id="CandidateListing">
		<%include file="/Candidate/View/Candidate/_Listing.mako" />
	</div>
</div> <!-- .span9 -->

<div class="span3">
	${search_filters()}
</div> <!-- .span3 -->

</div> <!-- .row-fluid -->

<%def name="star_rating_def()">
<style>
	.star-rating { line-height: 20px; font-size: 20px; }
	.star-rating span.star { font-family:FontAwesome; font-weight:normal; font-style:normal; display:inline-block; }
	.star-rating span.star:before { content:"\f006"; color:#999; padding-right: 5px; padding-right: 5px; }
	.star-rating span.star.selected:before { content:"\f005"; color:#999; }
</style>
<script>
	$(document).ready(function (e) {
		$.makeArray($('.star-rating.static')).forEach(function (element) {
			for (var i = 0; i < 5; i++) {
				var star = $('<span></span>').addClass('star');
				$(element).append(star);
			}
			if (element.dataset.rating) {
				for (var i = 0; i < element.dataset.rating; i++) {
					$($(element).find('.star')[i]).addClass('selected');
				}
			}
		});
	});
</script>
</%def>
