<span class="star-rating pull-right" data-rating="${Model.Candidate.rating or u'' | h}"></span>

<style>
.star-rating { line-height: 20px; font-size: 20px; }
h2 .star-rating { line-height: 40px; font-size: 40px; }
.star-rating span.star { font-family:FontAwesome; font-weight:normal; font-style:normal; display:inline-block; }
.star-rating span.star:hover { cursor:pointer; }
.star-rating span.star:before { content:"\f006"; color:#999; padding-right: 5px; padding-right: 5px; }
.star-rating span.star.selected:before { content:"\f005"; color:#999; }
.star-rating span.star.hover:before { content:"\f005"; color:#08C; }
</style>
<script>
$(document).ready(function (e) {
	$.makeArray($('.star-rating:not(.static)')).forEach(function (element) {
		for (var i = 0; i < 5; i++) {
			var star = $('<span></span>').addClass('star');
			$(element).append(star);
		}
		if (element.dataset.rating) {
			for (var i = 0; i < element.dataset.rating; i++) {
				$($(element).find('.star')[i]).addClass('selected');
			}
		}
	});
});

% if Model.CanPostRating:
$('.star-rating:not(.static)').on('click', '.star', function (e) {
	$(this).closest('.star-rating').find('.star').removeClass('selected');
	var rating = 0;
	var node = this;
	while (node !== null) {
		$(node).addClass('selected');
		node = node.previousSibling;
		rating++;
	}
	$.ajax({
		url: '/candidate/${Model.Candidate.Id | js}/rating/=/new/',
		type: 'POST',
		data: { value: rating },
	}).success(function (data, textStatus, jqXHR) {
	   $('.widget-users-activity .widget-actions').before(data);
	});
});

$('.star-rating:not(.static)').on('mouseover', '.star', function (e) {
	var node = this;
	while (node !== null) {
		$(node).addClass('hover');
		node = node.previousSibling;
	}
});

$('.star-rating:not(.static)').on('mouseout', '.star', function (e) {
	var node = this;
	while (node !== null) {
		$(node).removeClass('hover');
		node = node.nextSibling;
	}
});

$('.star-rating:not(.static)').on('mouseout', function (e) {
	$(this).find('.star').removeClass('hover');
});
% endif
</script>
