#!/bin/sh

if [ -t 1 ]; then
	echo Refusing to output tarball to terminal. >&2
	exit 1
fi

MODULE=lawrence
BUILD=`mktemp -d /tmp/XXXXXX`

./mysql_dump.py | sed '/^\/\*\!50013 DEFINER/d' > ${BUILD}/DatabaseChange.sql
tar -c -z -f ${BUILD}/${MODULE}.tar.gz -C ../ ${MODULE}/
tar -c -z -f - -C ${BUILD}/ ${MODULE}.tar.gz DatabaseChange.sql

rm -rf ${BUILD}
