<!DOCTYPE html>
<!--[if lt IE 7]><html class="no-js lt-ie9 lt-ie8 lt-ie7"><![endif]-->
<!--[if IE 7]><html class="no-js lt-ie9 lt-ie8"><![endif]-->
<!--[if IE 8]><html class="no-js lt-ie9"><![endif]-->
<!--[if gt IE 8]><!--><html class="no-js"><!--<![endif]-->
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width">
    
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:300italic,400it
alic,600italic,700italic,400,300,600,700" rel="stylesheet">
    <link href="/static/bootstrap.min.css" rel="stylesheet">
    <link href="/static/adminflare.min.css" rel="stylesheet">

    <script src="/static/modernizr-jquery.min.js"></script>
    <script src="/static/bootstrap.min.js"></script>
    <script src="/static/adminflare.min.js"></script>
<title>${config.short_name | h}</title>
<meta name="title" value="${config.candidate_process_name} ${config.short_name | h}">
<link rel="shortcut icon" href="/static/logo-micro.png">
</head>

<body>
<%namespace file="/User/View/User/_Fields.mako" import="user_full_name, user_email, user_username, user_password" />

<div class="row-fluid">

<div class="span6 offset3">

<form class="form-horizontal">

<p>O administrador do ${config.short_name} já preencheu estes dados;
   você pode completar e/ou alterá-los:</p>

<div class="control-group">
	<label class="control-label" for="user-full-name">Nome completo</label>
    <div class="controls">
        ${user_full_name(user)}
    </div>
</div>

<div class="control-group">
	<label class="control-label" for="user-email">Email</label>
    <div class="controls">
        ${user_email(user)}
    </div>
</div>

% if not user.has_password:
<p>O link que você usou <strong>só funciona para o primeiro acesso</strong>;
   você precisa escolher um nome de usuário e senha para poder
   acessar o site nas próximas vezes:</p>
% else:
<p>Se você esqueceu a sua senha, você pode trocá-la abaixo:</p>
% endif

<div class="control-group">
	<label class="control-label" for="user-username">Nome de usuário</label>
    <div class="controls">
        ${user_username(user)}
    </div>
</div>

<div class="control-group">
	<label class="control-label" for="user-password">Senha</label>
    <div class="controls">
        ${user_password(user)}
    </div>
</div>

<div class="form-actions">

<a href="/" class="btn btn-primary" id="user-save">Salvar alterações</a>

</div>

</form>

<script>
function UpdateSaveButton() {
	var HasValidCredentials = $('#user-username').editable('getValue', true) !== '' &&
	                          $('#user-password').editable('getValue', true) !== '';
	$('#user-save').toggleClass('disabled', HasValidCredentials);
}

$('#user-save').click(function (e) {
	if ($(this).hasClass('disabled')) { e.preventDefault(); }
});

$('#user-username').on('save', function (e) { UpdateSaveButton(); });
$('#user-password').on('save', function (e) { UpdateSaveButton(); });
$(document).ready(function (e) { UpdateSaveButton(); });
</script>

</div> <!-- .span6 -->

</div> <!-- .row-fluid -->

</body></html>
