<%namespace file="/View/_Editable.mako" import="editable" />

<%def name="user_full_name(victim)">
	${editable('FullName',
			   victim.FullName,
			   '/user/%d/' % victim.Id)}
</%def>

<%def name="user_email(victim)">
	${editable('email',
			   victim.email,
			   '/user/%d/' % victim.Id)}
</%def>

<%def name="user_username(victim)">
	${editable('username',
			   victim.username,
			   '/user/%d/' % victim.Id)}
</%def>

<%def name="user_password(victim)">
% if victim.id == user.id:
	${editable('password',
			   '',
			   '/user/%d/' % victim.Id,
			   type = 'password',
			   display = u"\u25cf" * 8 if victim.has_password else u"")}
% else:
	${editable('password',
			   '',
			   '/user/%d/' % victim.Id,
			   type = 'password',
			   display = u"\u25cf" * 8 if victim.has_password else u"<i class=\"muted\">(nenhuma)</i>",
               disabled = True)}&emsp;
    % if user.HasPermission('/user/%d/' % victim.Id, 'admin'):
    <button class="btn btn-small" id="user-password">Gerar nova senha...</button>
    <div class="modal hide fade" id="user-password-modal">
        <div class="modal-body">
            <p>${victim.FullName | h} receberá um email com instruções
            sobre como criar uma nova senha de acesso.</p>
        </div>
        <div class="modal-footer">
            <button class="btn btn-primary" data-dismiss="modal">OK</button>
        </div>
    </div>
    <script>
    $('#user-password').click(function (e) {
        $.post('/user/${victim.Id | js}/invite/', {}, function (data) {
            $('#user-password-modal').modal('show');
        });
        e.preventDefault();
        e.stopPropagation();
        return false;
    });
    </script>
    % endif
% endif
</%def>
