<%inherit file="/View/Settings/_Base.mako" />

<div class="row-fluid">

<div class="span6">
% for role in Model.RoleList:
	<p><a href="/User/Role/${role.Id}/">${role.Name | h}</a></p>
% endfor
</div> <!-- .span6 -->

<div class="span6">
    <h3 class="box-header">Criar novo perfil</h3>
    <div class="box">
        <form action="/User/Role/New/" method="post" class="form-horizontal">
        <div class="control-group">
            <label class="control-label" for="UserRole.Name">Nome</label>
            <div class="controls">
                <input type="text" name="Name" id="UserRole.Name" required>
            </div>
        </div>

        <div class="form-actions">
            <button type="submit" class="btn btn-primary">Criar perfil</button>
        </div>

        </form>
    </div>
</div> <!-- .span6 -->

</div> <!-- .row-fluid -->
