<%inherit file="/View/_Layout.mako" />

<div class="row-fluid">

<div class="span12">
<h3 class="box-header">Painel de indicadores</h3>
<div class="box">
<%

from Candidate.Entity.Candidate import Candidate
from collections import OrderedDict
columns = OrderedDict(list(Candidate.STATUSES.items())[:4] + list(Candidate.APPOINTMENT_STATUSES.items()) + list(Candidate.STATUSES.items())[5:-1])

%>
	<style>
	thead.table-header-vertical th div {
		-webkit-transform: rotate(90deg);
		-moz-transform: rotate(90deg);
		-o-transform: rotate(90deg);
		-ms-transform: rotate(90deg);
		-moz-transform-origin: bottom left;
		-webkit-transform-origin: bottom left;
		-o-transform-origin: bottom left;
		white-space: nowrap;
		margin-left: auto;
		margin-right: 16px;
	}
	</style>
	<table class="table">
		<thead class="table-header-vertical">
			<tr>
				<th></th>
% for status in columns:
				<th><div>${columns[status] | h}</div></th>
% endfor
			</tr>
		</thead>
		<tbody>
% for campus in campusList:
			<tr>
				<td>${campus.Name | h}</td>
% for status in columns:
				<td style="text-align: right">${status_counts[campus.Id].get(status, '') | h}</td>
% endfor
			</tr>
% endfor
		</tbody>
	</table>
	<script>
		$(function () {
			$('th div').each(function (index, element) {
				var $element = $(element);
				$element.data('effectiveWidth', $element.width());
			});
			$('th div').each(function (index, element) {
				var $element = $(element);
				$element.css('margin-bottom', $element.data('effectiveWidth'));
				$element.width(0);
			});
		});
	</script>
</div></div></div>

