<%inherit file="/View/Settings/_Base.mako" />

% if user.HasPermission('/', 'admin'):
<div class="alert">

<i class="icon-warning-sign icon-2x pull-right"></i>

<p>Esta é uma página experimental; as alterações feitas aqui persistirão somente até o servidor ser reiniciado novamente.</p>
</div>

<h3>Configurações gerais</h3>

<form class="form-horizontal">
	<div class="control-group">
		<label for="settings-full-name" class="control-label">Nome completo</label>
		<div class="controls">
			<a href="#" data-type="text" data-url="/settings/"
			   data-name="FullName" id="settings-full-name"
			   class="editable editable-click">
			   ${config.FullName | h}</a>
		</div>
	</div>

	<div class="control-group">
		<label for="settings-short-name" class="control-label">Nome abreviado</label>
		<div class="controls">
			<a href="#" data-type="text" data-url="/settings/"
			   data-name="short_name" id="settings-short-name"
			   class="editable editable-click">
			   ${config.short_name | h}</a>
		</div>
	</div>

	<div class="control-group">
		<label for="settings-contact-url" class="control-label">Endereço do site</label>
		<div class="controls">
			<a href="#" data-type="text" data-url="/settings/"
			   data-name="contact_url" id="settings-contact_url"
			   class="editable editable-click">
			   ${config.contact_url | h}</a>
		</div>
	</div>

	<div class="control-group">
		<label for="settings-contact-phone" class="control-label">Telefone de contato</label>
		<div class="controls">
			<a href="#" data-type="text" data-url="/settings/"
			   data-name="contact_phone" id="settings-contact-phone"
			   class="editable editable-click">
			   ${config.contact_phone | phone}</a>
		</div>
	</div>
</form>
% endif
