<%inherit file="/View/Settings/_Base.mako" />

<h4>Escolas</h4>

<table class="table" id="school-list">
	<tr>
		<th>Nome</th>
	</tr>
% for school in schools:
	<tr>
		<td>${school.name | h}
			<a href="#" class="school-remove pull-right" data-school-id="${school.Id}"><i class="icon-remove"></i></a></td>
	</tr>
% endfor
</table>

<form method="POST" id="form-school-new">
	<input type="text" name="schoolName" id="school-new-name">
</form>

<script>
$('#form-school-new').submit(function (e) {
	var schoolName = $('#school-new-name').val();
	$.post('/School/Create', {schoolName: schoolName}, function () {
		var newSchoolRow = $('<tr></tr>');
		var newSchoolData = $('<td></td>');
		newSchoolData.text(schoolName);
		newSchoolRow.append(newSchoolData);
		$('#school-list').append(newSchoolRow);
	});

	e.preventDefault();
	e.stopPropagation();
	return false;
});

$('.school-remove').click(function (e) {
	var schoolRow = $(this).closest('tr');
	var schoolId = this.dataset.schoolId;
	$.post('/School/' + schoolId + '/Delete', {}, function () {
		schoolRow.remove();
	});
});
</script>
