<%def name="editable(name = None, value = None, url = None, type = 'text',
                     display = None, disabled = None, source = None,
                     placement = None)">
<%

if value is None:
    display = value = u""
else:
    if display is None:
        display = value
    elif not isinstance(display, (str, bytes)):
        display = display(value)

if source is not None:
    assert type in ('select', 'typeahead')

if disabled is None:
	disabled = url is None or not user.HasPermission(url, 'write')

%>
<a href="#"
   data-type="${type | h}"
% if url is not None:
   data-url="${url | h}"
% endif
% if name is not None:
   data-name="${name | h}"
% endif
% if value is not None and value != display:
   data-value="${value | h}"
% endif
% if source is not None:
   data-source="${source | h}"
% endif
% if placement is not None:
   data-placement="${placement | h}"
% endif
   data-disabled="${'true' if disabled else 'false'}"
   class="editable editable-click">${display | h}</a>
</%def>
