# -*- coding:utf-8 -*-
from mako import runtime, filters, cache
UNDEFINED = runtime.UNDEFINED
__M_dict_builtin = dict
__M_locals_builtin = locals
_magic_number = 10
_modified_time = 1441406783.0409627
_enable_loop = True
_template_filename = '/root/lawrence/Candidate/View/Candidate/Registration/Step-6.mako'
_template_uri = 'Candidate/View/Candidate/Registration/Step-6.mako'
_source_encoding = 'utf-8'
from lawrence.util import js
from lawrence.util import gender
from lawrence.util import decimal
from lawrence.util import percentage
from lawrence.util import br
from lawrence.util import QueryString
from lawrence.util import money
from lawrence.util import cpf
from lawrence.util import phone
from lawrence.util import TimeDelta
from lawrence.util import time
from lawrence.util import ShortTime
from lawrence.util import unit
from lawrence.util import ShortDay, LongDay
from lawrence.util import ShortMonth, LongMonth
from lawrence.util import year
from lawrence.util import date_s, LongDateTime
from lawrence.util import group_by
from lawrence.util import n_partition
from lawrence.util import columns, selected
from lawrence.util import checked
from lawrence.util import disabled
from lawrence.util import AgeInYearsAndMonths
from decimal import Decimal
import lawrence.timeutil as timeutil
import lawrence.db as db
from lawrence.db import DBRow
_exports = []


title = u"Forma de ingresso" 

def _mako_get_namespace(context, name):
    try:
        return context.namespaces[(__name__, name)]
    except KeyError:
        _mako_generate_namespaces(context)
        return context.namespaces[(__name__, name)]
def _mako_generate_namespaces(context):
    pass
def _mako_inherit(template, context):
    _mako_generate_namespaces(context)
    return runtime._inherit_from(context, '/Candidate/View/Candidate/Registration/StepTemplate.mako', _template_uri)
def render_body(context,**pageargs):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_locals = __M_dict_builtin(pageargs=pageargs)
        examDateTimeList = context.get('examDateTimeList', UNDEFINED)
        config = context.get('config', UNDEFINED)
        form = context.get('form', UNDEFINED)
        FormData = context.get('FormData', UNDEFINED)
        candidate = context.get('candidate', UNDEFINED)
        getattr = context.get('getattr', UNDEFINED)
        __M_writer = context.writer()
        __M_writer('\n')
        __M_writer('\n\n')
        if examDateTimeList:
            __M_writer('<h3>Exame de admissão</h3>\n<form action="" method="POST" class="form-horizontal">\n\n<p>Qual é o seu melhor horário para a realização do exame de admissão?</p>\n\n')
            for examDateTime in examDateTimeList:
                __M_writer('<label class="radio">\n\t<input type="radio" name="ExamDateTime" value="')
                __M_writer(filters.html_escape(str(examDateTime )))
                __M_writer('"\n\t\t   required checked>\n\t')
                __M_writer(LongDay(examDateTime.date() ))
                __M_writer(' de ')
                __M_writer(LongMonth(examDateTime.date() ))
                __M_writer(', ')
                __M_writer(time(examDateTime.time() ))
                __M_writer('</label>\n')
            __M_writer('<button type="submit" class="btn btn-primary pull-right" style="margin-bottom: 16px;">concluir &raquo;</button>\n<br clear="both">\n\n</form>\n')
        __M_writer('\n')
        if candidate.Course.IsENEMEligible:
            __M_writer('<h3>Resultado do ENEM</h3>\n<form action="" method="POST" class="form-horizontal">\n\n')
            if getattr(FormData, 'enem_error', None):
                __M_writer('<div class="alert alert-error" id="alert-enem">\n\n<i class="icon-remove icon-3x pull-right"></i>\n\n')
                if form.enem_error == 'invalid_login':
                    __M_writer('<p>O CPF ou senha fornecidos não correspondem a uma inscrição do ENEM.</p>\n')
                elif form.enem_error == 'network_error':
                    __M_writer('<p>Não conseguimos conectar com o site do INEP; por favor, tente mais tarde.</p>\n')
                else:
                    pass
                __M_writer('</div>\n')
            __M_writer('\n<p>Você também pode usar o seu resultado no ENEM para ingressar no ')
            __M_writer(str(config.short_name))
            __M_writer(': preencha os dados abaixo.</p>\n\n<div class="control-group">\n\t<label class="control-label">CPF</label>\n\t<div class="controls">\n\t\t<input type="text" name="enem_cpf" value="" class="span2" pattern="[0-9]{3}\\.?[0-9]{3}\\.?[0-9]{3}-?[0-9]{2}" required>\n\t</div>\n</div>\n\n<div class="control-group">\n\t<label class="control-label">Senha do ENEM</label>\n\t<div class="controls">\n\t\t<input type="password" name="enem_password" value="" class="span2" required>\n\t\t<p class="help-block">Seu CPF e senha do ENEM são usados apenas para obter suas notas junto ao INEP.</p>\n\t</div>\n</div>\n\n<button type="submit" class="btn btn-primary pull-right" style="margin-bottom: 16px;">concluir &raquo;</button>\n\n</form>\n')
        __M_writer('</div>\n\n<!-- Facebook Conversion Code for LEAD 2015 -->\n<script>(function() {\n  var _fbq = window._fbq || (window._fbq = []);\n  if (!_fbq.loaded) {\n    var fbds = document.createElement(\'script\');\n    fbds.async = true;\n    fbds.src = \'//connect.facebook.net/en_US/fbds.js\';\n    var s = document.getElementsByTagName(\'script\')[0];\n    s.parentNode.insertBefore(fbds, s);\n    _fbq.loaded = true;\n  }\n})();\nwindow._fbq = window._fbq || [];\nwindow._fbq.push([\'track\', \'6018845897115\', {\'value\':\'0.00\',\'currency\':\'BRL\'}]);\n</script>\n<noscript><img height="1" width="1" alt="" style="display:none" src="https://www.facebook.com/tr?ev=6018845897115&amp;cd[value]=0.00&amp;cd[currency]=BRL&amp;noscript=1" /></noscript>\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


"""
__M_BEGIN_METADATA
{"source_encoding": "utf-8", "uri": "Candidate/View/Candidate/Registration/Step-6.mako", "filename": "/root/lawrence/Candidate/View/Candidate/Registration/Step-6.mako", "line_map": {"66": 1, "67": 2, "68": 4, "69": 5, "70": 10, "71": 11, "72": 12, "73": 12, "74": 14, "75": 14, "76": 14, "77": 14, "78": 14, "79": 14, "80": 16, "81": 21, "82": 22, "83": 23, "84": 26, "85": 27, "86": 31, "87": 32, "88": 33, "89": 34, "90": 35, "92": 37, "93": 39, "94": 40, "95": 40, "96": 61, "102": 96, "42": 1, "55": 0}}
__M_END_METADATA
"""
