# -*- coding:utf-8 -*-
from mako import runtime, filters, cache
UNDEFINED = runtime.UNDEFINED
__M_dict_builtin = dict
__M_locals_builtin = locals
_magic_number = 10
_modified_time = 1500671534.608256
_enable_loop = True
_template_filename = '/var/www/apogeu/lawrence/Candidate/View/Candidate/_Grades.mako'
_template_uri = '/Candidate/View/Candidate/_Grades.mako'
_source_encoding = 'utf-8'
from lawrence.util import js
from lawrence.util import gender
from lawrence.util import decimal
from lawrence.util import percentage
from lawrence.util import int_
from lawrence.util import br
from lawrence.util import QueryString
from lawrence.util import money
from lawrence.util import cpf
from lawrence.util import phone
from lawrence.util import TimeDelta
from lawrence.util import time
from lawrence.util import ShortTime
from lawrence.util import unit
from lawrence.util import ShortDay, LongDay
from lawrence.util import ShortMonth, LongMonth
from lawrence.util import year
from lawrence.util import date_s, LongDateTime
from lawrence.util import group_by
from lawrence.util import n_partition
from lawrence.util import columns, selected
from lawrence.util import checked
from lawrence.util import disabled
from lawrence.util import AgeInYearsAndMonths
from decimal import Decimal
import lawrence.timeutil as timeutil
import lawrence.db as db
from lawrence.db import DBRow
_exports = ['candidate_grades']


def render_body(context,**pageargs):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_locals = __M_dict_builtin(pageargs=pageargs)
        __M_writer = context.writer()
        __M_writer('\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


def render_candidate_grades(context,candidate):
    __M_caller = context.caller_stack._push_frame()
    try:
        form = context.get('form', UNDEFINED)
        sorted = context.get('sorted', UNDEFINED)
        getattr = context.get('getattr', UNDEFINED)
        FormData = context.get('FormData', UNDEFINED)
        config = context.get('config', UNDEFINED)
        Model = context.get('Model', UNDEFINED)
        __M_writer = context.writer()
        __M_writer('\n')
        if candidate.grades:
            __M_writer('\t<h3 class="box-header">Notas no ')
            __M_writer(filters.html_escape(str(config.candidate_process_name )))
            __M_writer('</h3>\n    <div class="box">\n        <form class="form-horizontal">\n')
            for subject_name, grade in sorted(candidate.grades.items()):
                __M_writer('        <div class="control-group">\n            <label class="control-label">\n                ')
                __M_writer(filters.html_escape(str(subject_name )))
                __M_writer('</label>\n            <div class="controls">\n                <a href="#" class="editable" data-disabled="true">\n                ')
                __M_writer(unit('acerto')(grade ))
                __M_writer('</a>\n            </div>\n        </div>\n')
            __M_writer('        </form>\n\n        <div class="widget-actions">\n            <a class="btn btn-small" href="/candidate/=/export/docx/certificate/?Query=')
            __M_writer(filters.html_escape(str(candidate.EncodedId )))
            __M_writer('">Gerar certificado</a>\n        </div>\n    </div>\n')
        elif Model.CanImportGrades:
            __M_writer('\t<h3 class="box-header">Notas no ')
            __M_writer(filters.html_escape(str(config.candidate_process_name )))
            __M_writer('</h3>\n    <div class="box box-collapsed">\n        <form class="form-horizontal" method="post" id="form-candidate-grades"\n              action="/candidate/')
            __M_writer(filters.html_escape(str(candidate.Id )))
            __M_writer('/grades/">\n            <div class="control-group">\n                <label class="control-label" for="grade-Matemática">Matemática</label>\n                <div class="controls">\n                    <input class="span4" type="number" name="grades_Matemática"\n                           id="grade-Matemática" required min="0">\n                </div>\n            </div>\n\n            <div class="control-group">\n                <label class="control-label" for="grade-Português">Português</label>\n                <div class="controls">\n                    <input class="span4" type="number" name="grades_Português"\n                           id="grade-Português" required min="0">\n                </div>\n            </div>\n            </form>\n\n            <div class="widget-actions">\n                <button class="btn btn-small" onclick="$(\'#form-candidate-grades\').submit()">Lançar bolsão avulso</button>\n            </div>\n    </div>\n')
        __M_writer('\n')
        if 'enem' in candidate:
            __M_writer('\t<h3 class="box-header">Notas no ENEM</h3>\n    <div class="box">\n\t\t<form class="form-horizontal">\n        <div class="control-group">\n            <label class="control-label">Nome</label>\n            <div class="controls">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(candidate.enem.name ))
            __M_writer('</a>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label">Número de inscrição</label>\n            <div class="controls">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(candidate.enem.code ))
            __M_writer('</a>\n            </div>\n        </div>\n\n\t\t<hr>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px">Ciências Humanas e suas Tecnologias</label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(candidate.enem.ch_score ))
            __M_writer('</a>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px">Ciências da Natureza e suas Tecnologias</label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(candidate.enem.cn_score ))
            __M_writer('</a>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px">Linguagens, Códigos e suas Tecnologias</label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(candidate.enem.lc_score ))
            __M_writer('</a>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px">Matemática e suas Tecnologias</label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(candidate.enem.mt_score ))
            __M_writer('</a>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px">Redação</label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(candidate.enem.rd_score ))
            __M_writer('</a>\n            </div>\n        </div>\n\n\t\t<hr>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px"><b>Média</b></label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true"><b>')
            __M_writer(decimal(1)(candidate.enem.average_score ))
            __M_writer('</b></a>\n            </div>\n        </div>\n\t\t</form>\n\t</div>\n')
        elif Model.CanImportGrades:
            __M_writer('\t<h3 class="box-header">Notas no ENEM</h3>\n\t<div class="box ')
            __M_writer(str('box-collapsed' if 'enem_error' is not None else ''))
            __M_writer('">\n\t\t<form action="/candidate/')
            __M_writer(filters.html_escape(str(candidate.Id )))
            __M_writer('/enem/" method="POST" class="form-horizontal" id="form-candidate-enem">\n\n')
            if getattr(FormData, 'enem_error', None):
                __M_writer('\t\t<div class="alert alert-error" id="alert-enem">\n\n\t\t<i class="icon-remove icon-3x pull-right"></i>\n\n')
                if form.enem_error == 'invalid_login':
                    __M_writer('\t\t<p>O CPF ou senha fornecidos não correspondem a uma inscrição do ENEM.</p>\n')
                elif form.enem_error == 'network_error':
                    __M_writer('\t\t<p>Não conseguimos conectar com o site do INEP; por favor, tente mais tarde.</p>\n')
                else:
                    pass
                __M_writer('\t\t</div>\n')
            __M_writer('\n\t\t<div class="control-group">\n\t\t\t<label class="control-label">CPF</label>\n\t\t\t<div class="controls">\n\t\t\t\t<input type="text" name="cpf" value="" pattern="[0-9]{3}\\.?[0-9]{3}\\.?[0-9]{3}-?[0-9]{2}" required>\n\t\t\t</div>\n\t\t</div>\n\n\t\t<div class="control-group">\n\t\t\t<label class="control-label">Senha do ENEM</label>\n\t\t\t<div class="controls">\n\t\t\t\t<input type="password" name="password" value="" required>\n\t\t\t</div>\n\t\t</div>\n\n\t\t</form>\n\n\t\t<div class="widget-actions">\n\t\t\t<button class="btn btn-small" onclick="$(\'#form-candidate-enem\').submit()">Buscar notas do ENEM</button>\n\t\t</div>\n\t</div>\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


"""
__M_BEGIN_METADATA
{"uri": "/Candidate/View/Candidate/_Grades.mako", "line_map": {"43": 0, "48": 155, "54": 1, "64": 1, "65": 2, "66": 3, "67": 3, "68": 3, "69": 6, "70": 7, "71": 9, "72": 9, "73": 12, "74": 12, "75": 16, "76": 19, "77": 19, "78": 22, "79": 23, "80": 23, "81": 23, "82": 26, "83": 26, "84": 49, "85": 50, "86": 51, "87": 57, "88": 57, "89": 64, "90": 64, "91": 73, "92": 73, "93": 80, "94": 80, "95": 87, "96": 87, "97": 94, "98": 94, "99": 101, "100": 101, "101": 110, "102": 110, "103": 115, "104": 116, "105": 117, "106": 117, "107": 118, "108": 118, "109": 120, "110": 121, "111": 125, "112": 126, "113": 127, "114": 128, "115": 129, "117": 131, "118": 133, "124": 118}, "filename": "/var/www/apogeu/lawrence/Candidate/View/Candidate/_Grades.mako", "source_encoding": "utf-8"}
__M_END_METADATA
"""
