# -*- coding:utf-8 -*-
from mako import runtime, filters, cache
UNDEFINED = runtime.UNDEFINED
__M_dict_builtin = dict
__M_locals_builtin = locals
_magic_number = 10
_modified_time = 1421082222.538294
_enable_loop = True
_template_filename = '/var/www/apogeu/lawrence/Views/Candidate/Registration/ThankYou.mako'
_template_uri = 'Candidate/Registration/ThankYou.mako'
_source_encoding = 'utf-8'
from lawrence.util import js
from lawrence.util import gender
from lawrence.util import decimal
from lawrence.util import percentage
from lawrence.util import br
from lawrence.util import QueryString
from lawrence.util import money
from lawrence.util import cpf
from lawrence.util import phone
from lawrence.util import TimeDelta
from lawrence.util import time
from lawrence.util import ShortTime
from lawrence.util import unit
from lawrence.util import ShortDay, LongDay
from lawrence.util import ShortMonth, LongMonth
from lawrence.util import year
from lawrence.util import date_s, LongDateTime
from lawrence.util import group_by
from lawrence.util import n_partition
from lawrence.util import columns, selected
from lawrence.util import checked
from lawrence.util import disabled
from lawrence.util import AgeInYearsAndMonths
from decimal import Decimal
import lawrence.timeutil as timeutil
import lawrence.db as db
from lawrence.db import DBRow
_exports = []



current_step = maximum_step = None
import lawrence.config as config
title = "Inscrição concluída!"


def _mako_get_namespace(context, name):
    try:
        return context.namespaces[(__name__, name)]
    except KeyError:
        _mako_generate_namespaces(context)
        return context.namespaces[(__name__, name)]
def _mako_generate_namespaces(context):
    pass
def _mako_inherit(template, context):
    _mako_generate_namespaces(context)
    return runtime._inherit_from(context, '/Candidate/Registration/StepTemplate.mako', _template_uri)
def render_body(context,**pageargs):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_locals = __M_dict_builtin(pageargs=pageargs)
        candidate = context.get('candidate', UNDEFINED)
        __M_writer = context.writer()
        __M_writer('\n')
        __M_writer('\n\n')
        if candidate.ExamDateTime:
            __M_writer('<p>Obrigado por se inscrever no ')
            __M_writer(filters.html_escape(str(config.candidate_process_name )))
            __M_writer(' ')
            __M_writer(filters.html_escape(str(config.short_name )))
            __M_writer('! Em breve voc\xea receber\xe1 um email confirmando os detalhes da sua inscri\xe7\xe3o.</p>\n\n<p>Voc\xea far\xe1 o ')
            __M_writer(filters.html_escape(str(config.candidate_process_name )))
            __M_writer('\nno dia ')
            __M_writer(LongDay(candidate.ExamDateTime.date() ))
            __M_writer(' de\n')
            __M_writer(LongMonth(candidate.ExamDateTime.date() ))
            __M_writer(', \xe0s\n')
            __M_writer(time(candidate.ExamDateTime.time() ))
            __M_writer(',\nno endere\xe7o abaixo:</p>\n\n<blockquote>\n\t<h3 class="box-header">')
            __M_writer(filters.html_escape(str(config.short_name )))
            __M_writer(' ')
            __M_writer(filters.html_escape(str(candidate.exam_campus.name )))
            __M_writer('</h3>\n\t')
            __M_writer(br(candidate.exam_campus.address ))
            __M_writer('\n</blockquote>\n\n<p><a href="/campus/')
            __M_writer(filters.html_escape(str(candidate.exam_campus.id )))
            __M_writer('/google-maps/"><img src="/campus/')
            __M_writer(filters.html_escape(str(candidate.exam_campus.id )))
            __M_writer('/map/?size=375" class="img-polaroid" id="exam-campus-map"></a></p>\n\n<h3>Informa\xe7\xf5es do candidato</h3>\n\n<form class="form-horizontal">\n<div class="control-group">\n\t<label class="control-label">Nome do candidato</label>\n\t<div class="controls">\n\t\t<a href="#" class="editable" data-disabled="true">\n\t\t')
            __M_writer(str(candidate.student_name))
            __M_writer('</a>\n\t</div>\n</div>\n\n<div class="control-group">\n\t<label class="control-label">Turma em 2015</label>\n\t<div class="controls">\n\t\t<a href="#" class="editable" data-disabled="true">\n\t\t')
            __M_writer(str(candidate.campaign_name))
            __M_writer('</a>\n\t</div>\n</div>\n\n<div class="control-group">\n\t<label class="control-label">Unidade em 2015</label>\n\t<div class="controls">\n\t\t<a href="#" class="editable" data-disabled="true">\n\t\t')
            __M_writer(str(candidate.campus_name))
            __M_writer('</a>\n\t</div>\n</div>\n</form>\n\n<p>Se voc\xea tiver alguma d\xfavida ou alguma informa\xe7\xe3o acima estiver errada, ligue para\nnossa central de atendimento: ')
            __M_writer(phone(str(config.contact_phone )))
            __M_writer('. Lembre-se:</p>\n\n<blockquote>\n\t<ul>\n\t\t<li>O candidato dever\xe1 apresentar-se no local de realiza\xe7\xe3o da prova 30 minutos antes do seu in\xedcio e somente poder\xe1 utilizar caneta esferogr\xe1fica de tinta azul ou preta, l\xe1pis e borracha.</li>\n\t\t<li>O candidato que comparecer em local diferente daquele onde dever\xe1 realizar sua prova dever\xe1 entrar em contato IMEDIATAMENTE com a Comiss\xe3o Permanente de Exame de Sele\xe7\xe3o [atrav\xe9s do telefone (32) 3239-3300], sujeito a n\xe3o participar do Exame de Sele\xe7\xe3o.</li>\n\t\t<li>O candidato dever\xe1 portar consigo um documento de identifica\xe7\xe3o oficial.</li>\n\t</ul>\n</blockquote>\n\n<p class="print-hide">Confira o <a href="#">edital completo</a> do ')
            __M_writer(str(config.candidate_process_name))
            __M_writer('.</p>\n')
        else:
            __M_writer('<p>Obrigado pelo interesse no ')
            __M_writer(str(candidate.campaign.name))
            __M_writer(' ')
            __M_writer(filters.html_escape(str(config.short_name )))
            __M_writer('! Em breve entraremos em contato para agendamento de uma entrevista\nindividual e presta\xe7\xe3o de maiores informa\xe7\xf5es sobre a turma de seu\ninteresse.</p>\n\n<h3>Informa\xe7\xf5es do aluno</h3>\n\n<form class="form-horizontal">\n<div class="control-group">\n\t<label class="control-label">Nome do aluno</label>\n\t<div class="controls">\n\t\t<a href="#" class="editable" data-disabled="true">\n\t\t')
            __M_writer(str(candidate.student_name))
            __M_writer('</a>\n\t</div>\n</div>\n\n<div class="control-group">\n\t<label class="control-label">Turma em 2015</label>\n\t<div class="controls">\n\t\t<a href="#" class="editable" data-disabled="true">\n\t\t')
            __M_writer(str(candidate.campaign_name))
            __M_writer('</a>\n\t</div>\n</div>\n\n<div class="control-group">\n\t<label class="control-label">Unidade em 2015</label>\n\t<div class="controls">\n\t\t<a href="#" class="editable" data-disabled="true">\n\t\t')
            __M_writer(str(candidate.campus_name))
            __M_writer('</a>\n\t</div>\n</div>\n</form>\n\n<p>Se voc\xea tiver alguma d\xfavida ou alguma informa\xe7\xe3o acima estiver errada, ligue para\nnossa central de atendimento: ')
            __M_writer(phone(str(config.contact_phone )))
            __M_writer('.</p>\n')
        __M_writer('\n')
        if candidate.ExamDateTime:
            __M_writer('<button class="btn btn-primary" id="candidate-print">Imprimir confirma\xe7\xe3o</button>\n')
        __M_writer('<a href="')
        __M_writer(filters.html_escape(str(config.contact_url )))
        __M_writer('" class="btn pull-right print-hide">Voltar \xe0 p\xe1gina do ')
        __M_writer(filters.html_escape(str(config.short_name )))
        __M_writer("</a>\n\n<script>\n$('#candidate-print').click(function () {\n\twindow.print();\n});\n</script>\n")
        return ''
    finally:
        context.caller_stack._pop_frame()


"""
__M_BEGIN_METADATA
{"source_encoding": "utf-8", "line_map": {"128": 122, "42": 1, "59": 0, "65": 5, "66": 6, "67": 8, "68": 9, "69": 9, "70": 9, "71": 9, "72": 9, "73": 11, "74": 11, "75": 12, "76": 12, "77": 13, "78": 13, "79": 14, "80": 14, "81": 18, "82": 18, "83": 18, "84": 18, "85": 19, "86": 19, "87": 22, "88": 22, "89": 22, "90": 22, "91": 31, "92": 31, "93": 39, "94": 39, "95": 47, "96": 47, "97": 53, "98": 53, "99": 63, "100": 63, "101": 64, "102": 65, "103": 65, "104": 65, "105": 65, "106": 66, "107": 77, "108": 77, "109": 85, "110": 85, "111": 93, "112": 93, "113": 99, "114": 99, "115": 101, "116": 102, "117": 103, "118": 105, "119": 105, "120": 105, "121": 105, "122": 105}, "uri": "Candidate/Registration/ThankYou.mako", "filename": "/var/www/apogeu/lawrence/Views/Candidate/Registration/ThankYou.mako"}
__M_END_METADATA
"""
