# -*- coding:utf-8 -*-
from mako import runtime, filters, cache
UNDEFINED = runtime.UNDEFINED
__M_dict_builtin = dict
__M_locals_builtin = locals
_magic_number = 10
_modified_time = 1416857730.81994
_enable_loop = True
_template_filename = '/var/www/apogeu/lawrence/Views/Candidate/_Grades.mako'
_template_uri = '/Candidate/_Grades.mako'
_source_encoding = 'utf-8'
from lawrence.util import js
from lawrence.util import gender
from lawrence.util import decimal
from lawrence.util import percentage
from lawrence.util import br
from lawrence.util import QueryString
from lawrence.util import money
from lawrence.util import cpf
from lawrence.util import phone
from lawrence.util import TimeDelta
from lawrence.util import time
from lawrence.util import ShortTime
from lawrence.util import unit
from lawrence.util import ShortDay, LongDay
from lawrence.util import ShortMonth, LongMonth
from lawrence.util import year
from lawrence.util import date_s, LongDateTime
from lawrence.util import group_by
from lawrence.util import n_partition
from lawrence.util import columns, selected
from lawrence.util import checked
from lawrence.util import disabled
from lawrence.util import AgeInYearsAndMonths
from decimal import Decimal
import lawrence.timeutil as timeutil
import lawrence.db as db
from lawrence.db import DBRow
_exports = []


def render_body(context,**pageargs):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_locals = __M_dict_builtin(pageargs=pageargs)
        form = context.get('form', UNDEFINED)
        FormData = context.get('FormData', UNDEFINED)
        getattr = context.get('getattr', UNDEFINED)
        sorted = context.get('sorted', UNDEFINED)
        Model = context.get('Model', UNDEFINED)
        config = context.get('config', UNDEFINED)
        __M_writer = context.writer()
        if Model.Candidate.grades:
            __M_writer('\t<h3 class="box-header">Notas no ')
            __M_writer(filters.html_escape(str(config.candidate_process_name )))
            __M_writer('</h3>\n    <div class="box">\n        <form class="form-horizontal">\n')
            for subject_name, grade in sorted(Model.Candidate.grades.items()):
                __M_writer('        <div class="control-group">\n            <label class="control-label">\n                ')
                __M_writer(filters.html_escape(str(subject_name )))
                __M_writer('</label>\n            <div class="controls">\n                <a href="#" class="editable" data-disabled="true">\n                ')
                __M_writer(unit('acerto')(grade ))
                __M_writer('</a>\n            </div>\n        </div>\n')
            __M_writer('        </form>\n\n        <div class="widget-actions">\n            <a class="btn btn-small" href="/candidate/=/export/docx/certificate/?Query=')
            __M_writer(filters.html_escape(str(Model.Candidate.EncodedId )))
            __M_writer('">Gerar certificado</a>\n        </div>\n    </div>\n')
        elif Model.CanImportGrades:
            __M_writer('\t<h3 class="box-header">Notas no ')
            __M_writer(filters.html_escape(str(config.candidate_process_name )))
            __M_writer('</h3>\n    <div class="box box-collapsed">\n        <form class="form-horizontal" method="post" id="form-candidate-grades"\n              action="/candidate/')
            __M_writer(filters.html_escape(str(Model.Candidate.Id )))
            __M_writer('/grades/">\n            <div class="control-group">\n                <label class="control-label" for="grade-Matem\xe1tica">Matem\xe1tica</label>\n                <div class="controls">\n                    <input class="span4" type="number" name="grades-Matem\xe1tica"\n                           id="grade-Matem\xe1tica" required min="0">\n                </div>\n            </div>\n\n            <div class="control-group">\n                <label class="control-label" for="grade-Portugu\xeas">Portugu\xeas</label>\n                <div class="controls">\n                    <input class="span4" type="number" name="grades-Portugu\xeas"\n                           id="grade-Portugu\xeas" required min="0">\n                </div>\n            </div>\n            </form>\n\n            <div class="widget-actions">\n                <button class="btn btn-small" onclick="$(\'#form-candidate-grades\').submit()">Lan\xe7ar bols\xe3o avulso</button>\n            </div>\n    </div>\n')
        __M_writer('\n')
        if 'enem' in Model.Candidate:
            __M_writer('\t<h3 class="box-header">Notas no ENEM</h3>\n    <div class="box">\n\t\t<form class="form-horizontal">\n        <div class="control-group">\n            <label class="control-label">Nome</label>\n            <div class="controls">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(Model.Candidate.enem.name ))
            __M_writer('</a>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label">N\xfamero de inscri\xe7\xe3o</label>\n            <div class="controls">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(Model.Candidate.enem.code ))
            __M_writer('</a>\n            </div>\n        </div>\n\n\t\t<hr>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px">Ci\xeancias Humanas e suas Tecnologias</label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(Model.Candidate.enem.ch_score ))
            __M_writer('</a>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px">Ci\xeancias da Natureza e suas Tecnologias</label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(Model.Candidate.enem.cn_score ))
            __M_writer('</a>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px">Linguagens, C\xf3digos e suas Tecnologias</label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(Model.Candidate.enem.lc_score ))
            __M_writer('</a>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px">Matem\xe1tica e suas Tecnologias</label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(Model.Candidate.enem.mt_score ))
            __M_writer('</a>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px">Reda\xe7\xe3o</label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true">')
            __M_writer(decimal(1)(Model.Candidate.enem.rd_score ))
            __M_writer('</a>\n            </div>\n        </div>\n\n\t\t<hr>\n\n        <div class="control-group">\n            <label class="control-label" style="width: 320px"><b>M\xe9dia</b></label>\n            <div class="controls" style="margin-left: 340px">\n                <a href="#" class="editable" data-disabled="true"><b>')
            __M_writer(decimal(1)(Model.Candidate.enem.average_score ))
            __M_writer('</b></a>\n            </div>\n        </div>\n\t\t</form>\n\t</div>\n')
        elif Model.CanImportGrades:
            __M_writer('\t<h3 class="box-header">Notas no ENEM</h3>\n\t<div class="box ')
            __M_writer(str('box-collapsed' if 'enem_error' not in form else ''))
            __M_writer('">\n\t\t<form action="/candidate/')
            __M_writer(filters.html_escape(str(Model.Candidate.Id )))
            __M_writer('/enem/" method="POST" class="form-horizontal" id="form-candidate-enem">\n\n')
            if getattr(FormData, 'enem_error', None):
                __M_writer('\t\t<div class="alert alert-error" id="alert-enem">\n\n\t\t<i class="icon-remove icon-3x pull-right"></i>\n\n')
                if form.enem_error == 'invalid_login':
                    __M_writer('\t\t<p>O CPF ou senha fornecidos n\xe3o correspondem a uma inscri\xe7\xe3o do ENEM.</p>\n')
                elif form.enem_error == 'network_error':
                    __M_writer('\t\t<p>N\xe3o conseguimos conectar com o site do INEP; por favor, tente mais tarde.</p>\n')
                else:
                    pass
                __M_writer('\t\t</div>\n')
            __M_writer('\n\t\t<div class="control-group">\n\t\t\t<label class="control-label">CPF</label>\n\t\t\t<div class="controls">\n\t\t\t\t<input type="text" name="cpf" value="" pattern="[0-9]{3}\\.?[0-9]{3}\\.?[0-9]{3}-?[0-9]{2}" required>\n\t\t\t</div>\n\t\t</div>\n\n\t\t<div class="control-group">\n\t\t\t<label class="control-label">Senha do ENEM</label>\n\t\t\t<div class="controls">\n\t\t\t\t<input type="password" name="password" value="" required>\n\t\t\t</div>\n\t\t</div>\n\n\t\t</form>\n\n\t\t<div class="widget-actions">\n\t\t\t<button class="btn btn-small" onclick="$(\'#form-candidate-enem\').submit()">Buscar notas do ENEM</button>\n\t\t</div>\n\t</div>\n')
        __M_writer('\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


"""
__M_BEGIN_METADATA
{"source_encoding": "utf-8", "line_map": {"42": 0, "53": 1, "54": 2, "55": 2, "56": 2, "57": 5, "58": 6, "59": 8, "60": 8, "61": 11, "62": 11, "63": 15, "64": 18, "65": 18, "66": 21, "67": 22, "68": 22, "69": 22, "70": 25, "71": 25, "72": 48, "73": 49, "74": 50, "75": 56, "76": 56, "77": 63, "78": 63, "79": 72, "80": 72, "81": 79, "82": 79, "83": 86, "84": 86, "85": 93, "86": 93, "87": 100, "88": 100, "89": 109, "90": 109, "91": 114, "92": 115, "93": 116, "94": 116, "95": 117, "96": 117, "97": 119, "98": 120, "99": 124, "100": 125, "101": 126, "102": 127, "103": 128, "105": 130, "106": 132, "107": 154, "113": 107}, "uri": "/Candidate/_Grades.mako", "filename": "/var/www/apogeu/lawrence/Views/Candidate/_Grades.mako"}
__M_END_METADATA
"""
