#!/usr/bin/env python3

import sys
import subprocess

import lawrence.config as config

def _main():
    sys.exit(subprocess.call(['mysql',
                              '-f',
                              '-h', config.db_host,
                              '-u', config.db_user,
                              '-p' + config.db_password,
                              '--max_allowed_packet=1G',
                              config.db_name]))

if __name__ == '__main__':
    _main()

