from lawrence.Entity import Entity

class CandidateFilter (Entity):
    __slots__ = [
        'Course',
        'Segment',
        'Campus',
        'Status',
        'AppointmentStatus',
        'ExamDate',
        'ExamTime',
        'Tag',
        'Query',
        'SortOrder',
        'Page',
    ]

    def __setattr__(self, name, value):
        if value is not None and not isinstance(value, list) and name not in ['Query', 'SortOrder', 'Page', '_data']:
            value = [value]
        assert name in ['Query', 'SortOrder', 'Page', '_data'] or value is None or isinstance(value, list)
        super(CandidateFilter, self).__setattr__(name, value)