<%inherit file="/View/_Layout.mako" />
<%namespace file="/View/_Editable.mako" import="editable" />
<%namespace name="actions" file="/Candidate/View/Candidate/_Actions.mako" />

<h1>${Model.CandidateQueue.Name}</h1>

<p>Esta fila contém ${len(Model.CandidateList) | n,unit(u"candidato")}.</p>

<form action="/Candidate/Queue/${Model.CandidateQueue.Id | h}/Front/" method="POST">
    <button type="submit" class="btn">front</button>
</form>

% if Model.CanDeleteQueue:
<a class="btn btn-danger" href="#" id="DeleteQueueButton">Apagar fila</a>
<script>
$('#DeleteQueueButton').click(function (e) {
	$.ajax({
		url: '/Candidate/Queue/${Model.CandidateQueue.Id | h}/Delete/',
		type: 'POST',
	}).success(function () {
		window.location.href = '/';  // FIXME: '/Candidate/Queue/'
	});
	e.preventDefault();
});
</script>
% endif

<div id="CandidateListing">
    <%include file="/Candidate/View/Candidate/_Listing.mako" />
</div>
