<%! title = u"Notas" %>
<%inherit file="/Candidate/View/Candidate/Registration/StepTemplate.mako" />

<form action="/candidate/${candidate.Id}/registration/" method="POST" class="form-horizontal">

<p>Se quiser, indique abaixo o nome de um exame realizado previamente e a nota obtida. Por exemplo, se você fez a prova do ITA no ano 2016 e obteve média geral 5.4, preencha os campos da seguinte forma.</p>

<p>Nome do exame: ITA - 2016</p>
<p>Nota obtida: 5.4</p>

<h3><b>Esta seção não é obrigatória.</b></h3>

<div class="control-group">
    <label class="control-label" for="alternative_grade_name">Nome do exame</label>
    <div class="controls">
        <input type="text" name="alternative_grade_name" id="alternative_grade_name" >
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="alternative_grade">Nota obtida</label>
    <div class="controls">
        <input type="text" name="alternative_grade" id="alternative_grade"
               pattern="[0-9]+([\.,][0-9]+)?"
               style="margin-bottom: 8px">
    </div>
</div>


<div class="form-actions">
    <button type="submit" class="btn btn-primary" id="registration-button">avançar &raquo;</button>
</div>

</form>

<script>

$(function () {

    function NormalizeForMatch(inputString) {
        var result = inputString.toLowerCase();
        result = result.replace(/[áâã]/, 'a');
        result = result.replace(/[ç]/, 'c');
        result = result.replace(/[éê]/, 'e');
        result = result.replace(/[í]/, 'i');
        result = result.replace(/[óôõ]/, 'o');
        result = result.replace(/[úü]/, 'u');
        return result;
    }

    $('#alternative_grade_name').typeahead({
        source: [
% for alt_exam in alt_exams:
            '${alt_exam | js}',
% endfor
        ],
    });

});
</script>

