<!DOCTYPE html>
<!--[if lt IE 7]><html class="no-js lt-ie9 lt-ie8 lt-ie7"><![endif]-->
<!--[if IE 7]><html class="no-js lt-ie9 lt-ie8"><![endif]-->
<!--[if IE 8]><html class="no-js lt-ie9"><![endif]-->
<!--[if gt IE 8]><!--><html class="no-js"><!--<![endif]-->
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width">
    
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,400,300,600,700" rel="stylesheet">
    <link href="/static/bootstrap.min.css" rel="stylesheet">
    <link href="/static/adminflare.min.css" rel="stylesheet">

    <script src="/static/modernizr-jquery.min.js"></script>
    <script src="/static/bootstrap.min.js"></script>
    <script src="/static/adminflare.min.js"></script>

<script>
    var pxTopBannerHeight = 125;
    var pxBottomBannerHeight = 95;
    function updateBoxPosition() {
        $('#registration-container').css({
            'height': 'auto',
        });

        var pxVerticalPadding =
            $('#registration-container').outerHeight()
            - $('#registration-container').height();

        var pxEffectiveHeight =
            $(window).height()
            - pxTopBannerHeight
            - pxBottomBannerHeight
            - pxVerticalPadding;

        $('#registration-container').css({
            'height': pxEffectiveHeight,
        });

        $('#registration-container').css({
            'margin-top': pxTopBannerHeight,
        });
    }

$(function() {
    $(window).resize(updateBoxPosition);
    setTimeout(updateBoxPosition, 0);
});
</script>

<style>
.tooltip + .help-block {
	margin-top: 3px;
}
</style>
<style media="print">
#registration-container {
	margin-top: 0 !important;
	height: auto !important;
}
a::after, .print-hide {
	display: none !important;
}
#exam-campus-map {
	width: 3in;
	height: 3in;
}
</style>
<style media="screen">
html, body {
    margin: 0;
    padding: 0;
}

#registration-container {
    width: 400px;
    padding: 20px;
    margin-left: auto;
    margin-right: auto;
    background-color: rgba(255, 255, 255, 0.8);
    overflow-y: auto;
}

body {
	margin: 0 auto;
    background-color: #FFF;
	background-image: url(/static/CAPA_HEAD.png),
					  url(/static/CAPA_BOTTOM.png),
					  url(/static/CAPA_BACKGROUND.png);
    background-repeat: no-repeat, no-repeat, no-repeat;
    background-position: top center, 53% 102%, center;
    background-size: auto, 551px 115px, cover;
    background-attachment: fixed;
}

</style>
<title>${config.candidate_process_name} do ${config.short_name | h}</title>
<meta name="title" value="${config.candidate_process_name} do ${config.short_name | h}">
<link rel="shortcut icon" href="/static/logo-micro.png">

<!-- Facebook Pixel Code -->
<script>
!function(f,b,e,v,n,t,s)
{if(f.fbq)return;n=f.fbq=function(){n.callMethod?
n.callMethod.apply(n,arguments):n.queue.push(arguments)};
if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
n.queue=[];t=b.createElement(e);t.async=!0;
t.src=v;s=b.getElementsByTagName(e)[0];
s.parentNode.insertBefore(t,s)}(window,document,'script',
'https://connect.facebook.net/en_US/fbevents.js');
 	fbq('init', '1779197839027123'); 
	fbq('track', 'PageView');
</script>
<noscript>
 <img height="1" width="1" 
src="https://www.facebook.com/tr?id=1779197839027123&ev=PageView
&noscript=1"/>
</noscript>
<!-- End Facebook Pixel Code -->

</head>

<body><div id="registration-container">

<h1>${self.attr.title}</h1>
${self.body()}

</div></body></html>

