<table class="table">
	<tr>
		<th style="width: 72px">Inscrição</th>
		<th>Nome</th>
% if getattr(FormData, 'SortOrder', None) == 'total_grade':
		<th style="width: 48px">Nota</th>
% elif getattr(FormData, 'SortOrder', None) == 'enem':
		<th style="width: 48px">ENEM</th>
% elif getattr(FormData, 'SortOrder', None) == 'negotiation_gap':
		<th style="width: 48px">Gap</th>
% elif getattr(FormData, 'SortOrder', None) == 'rating':
		<th style="width: 120px">Avaliação</th>
% endif
	</tr>
% for candidate in Model.CandidateList:
	<tr>
		<td>${candidate.EncodedId | h}</td>
		<td><a href="${candidate.Id}/">${candidate.student_name or u"[sem nome]" | h}</a></td>
% if getattr(FormData, 'SortOrder', None) == 'total_grade':
		<td style="text-align: right">${candidate.total_grade if candidate.total_grade is not None else u""}</td>
% elif getattr(FormData, 'SortOrder', None) == 'enem':
		<td style="text-align: right">${(decimal(1)(candidate.enem) + u",0" if decimal(1)(candidate.enem)[-2] != u"," else decimal(1)(candidate.enem)) if candidate.enem is not None else u""}</td>
% elif getattr(FormData, 'SortOrder', None) == 'negotiation_gap':
		<td style="text-align: right">${percentage()(candidate.negotiation_gap) if candidate.negotiation_gap is not None else u""}</td>
% elif getattr(FormData, 'SortOrder', None) == 'rating':
	% if candidate.rating is None:
		<td style="text-align: right"></td>
	% else:
		<td style="text-align: right"><span class="star-rating static" data-rating="${candidate.rating | h}"></span></td>
	% endif
% endif
	</tr>
% endfor
</table>
