<style>
thead.table-header-vertical th div.vertical {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    -moz-transform-origin: bottom left;
    -webkit-transform-origin: bottom left;
    -o-transform-origin: bottom left;
    white-space: nowrap;
    margin-left: auto;
    margin-right: 16px;
}
</style>
<table class="table">
    <thead class="table-header-vertical">
        <tr>
            <th></th>
% if Model.ColumnList is not None:
    % for columnValue, columnLabel in Model.ColumnList:
            <th><div class="vertical">${columnLabel | h}</div></th>
    % endfor
% else:
            <th><div id="MissingColumnFieldMessage" data-report-direction="Column">
                Arraste um filtro para cá para gerar o relatório.</div></th>
% endif
        </tr>
    </thead>
    <tbody>
% if Model.RowList is not None:
    % for rowValue, rowLabel in Model.RowList:
        <tr>
            <td>${rowLabel | h}</td>
        % if Model.ColumnList is not None:
            % for columnValue, columnLabel in Model.ColumnList:
            <td style="text-align: right">${Model.ReportCounts[rowValue].get(columnValue, '') | h}</td>
            % endfor
        % else:
        % endif
        </tr>
        % endfor
% else:
        <tr>
            <td><div id="MissingRowFieldMessage" data-report-direction="Row">
                Arraste um filtro para cá para gerar o relatório.</div></td>
        </tr>
% endif
    </tbody>
</table>
<script>
    $('th div.vertical').each(function (index, element) {
        var $element = $(element);
        $element.data('effectiveWidth', $element.width());
    });
    $('th div.vertical').each(function (index, element) {
        var $element = $(element);
        $element.css('margin-bottom', $element.data('effectiveWidth'));
        $element.width(0);
    });

    [document.getElementById('MissingColumnFieldMessage'),
     document.getElementById('MissingRowFieldMessage')]
        .forEach(function (dropTarget) {
            if (dropTarget === null) return;
            dropTarget.addEventListener('dragover', function (e) {
                if (e.dataTransfer.types.indexOf('farabe/candidate-filter') !== -1) {
                    e.preventDefault();
                }
            }, false);
            dropTarget.addEventListener('drop', function (e) {
                var filterName = e.dataTransfer.getData('farabe/candidate-filter');

                var filterDict = getFilterDict();
                // TODO: encode this into the query string?
% if Model.RowField is not None:
                filterDict.RowField = '${Model.RowField | js}';
% endif
% if Model.ColumnField is not None:
                filterDict.ColumnField = '${Model.ColumnField | js}';
% endif
                filterDict[dropTarget.dataset.reportDirection + 'Field'] = filterName

                updateReport(filterDict);
            }, false);
        });
</script>
