<%inherit file="/View/Settings/_Base.mako" />

<h1>${course.Name}</h1>

<div class="row-fluid">
    <div class="span6">
        <h2 class="box-header">Admissão</h2>
        <div class="box">
            <form class="form-horizontal">
                <div class="control-group">
                    <div class="controls">
                        <label class="checkbox"><input type="checkbox" data-name="IsExamEligible" data-url="/Course/${course.Id}/IsExamEligible" ${course.IsExamEligible | n,checked}> pelo Exame de Admissão;</label>
                    </div>
                </div>
                <div class="control-group">
                    <div class="controls">
                        <label class="checkbox"><input type="checkbox" data-name="IsENEMEligible" data-url="/Course/${course.Id}/IsENEMEligible" ${course.IsENEMEligible | n,checked}> pelo ENEM;</label>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    $('input[data-url]').click(function () {
        $.post(this.dataset.url, {value: $(this).prop('checked')});
    });
</script>