#!/bin/sh

BUNDLE=$1

if [ -z ${BUNDLE} ]; then
	echo The bundle is required. >&2
	exit 1
fi

MODULE=lawrence

./CreateBackupBundle.sh > ../backup-`date +%Y%m%dT%H%MZ`.tar.gz
tar -x -z -f ${BUNDLE} -C ../
cd ../
rm -rf ${MODULE}/
tar -x -z -f ${MODULE}.tar.gz
${MODULE}/mysql.py < DatabaseChange.sql
rm -f ${MODULE}.tar.gz DatabaseChange.sql
cd ${MODULE}/
