<%inherit file="/View/Settings/_Base.mako" />

<div class="row-fluid">

<div class="span6">
    % if Model.GroupBy is None:
        <%include file="/User/View/User/_Listing.mako" />
    % elif Model.GroupBy == 'Campus':
        <%include file="/User/View/User/_ListingByCampus.mako" />
    % elif Model.GroupBy == 'Role':
        <%include file="/User/View/User/_ListingByRole.mako" />
    % endif
</div> <!-- .span6 -->

<div class="span6">
    <div class="row">
        <div class="span6">&nbsp;</div>
        <div class="span6">
            <p><a href="/User?GroupBy=Campus">Agrupar por unidade</a></p>
            <p><a href="/User?GroupBy=Role">Agrupar por perfil</a></p>
            <p><a href="/User/Role/">Editar perfis de usuário</a></p>
        </div>

    </div>

    <h3 class="box-header">Criar novo usuário</h3>
    <div class="box">
        <form action="/user/=/new/" method="post" class="form-horizontal">
        <div class="control-group">
            <label class="control-label" for="user-full-name">Nome completo</label>
            <div class="controls">
                <input type="text" name="FullName" id="user-full-name" required>
            </div>
        </div>
        <div class="control-group">
            <label class="control-label" for="user-email">Email</label>
            <div class="controls">
                <input type="email" name="email" id="user-email" required>
            </div>
        </div>

        <div class="form-actions">
            <button type="submit" class="btn btn-primary">Criar usuário</button>
        </div>

        </form>
    </div>

    <h3 class="box-header">Importar planilha</h3>
    <div class="box">
		<p>Informe os usuários no <a href="/static/user/template.xlsx">modelo de planilha</a>.</p>
		<form action="/user/=/import-bulk/" method="post" enctype="multipart/form-data">
			<input type="file" name="users">
			<button type="submit" class="btn pull-right">Criar usuários</button>
			<br class="clear">
		</form>
    </div>
</div> <!-- .span6 -->

</div> <!-- .row-fluid -->
