<%inherit file="/View/Settings/_Base.mako" />

<h1>${Model.Role.Name | h}</h1>

<div class="row-fluid">

<div class="span6">
    <h2 class="box-header">Permissões</h3>
    <div class="box">
    % for permission in Model.PermissionList:
		<label class="checkbox">
			<input type="checkbox" name="UserPermission" value="${permission.Id | h}"
            ${any(enabledPermission.Id == permission.Id for enabledPermission in Model.EnabledPermissionList) | n,checked}>
                ${permission.Name | h}</label>
    % endfor

	<script>
	$('[name="UserPermission"]').change(function (e) {
		$.ajax({
			url: '/User/Role/${Model.Role.Id | js}/Permission/' + this.value + '/',
			type: 'POST',
			data: { value: this.checked },
		});
	});
	</script>
    </div> <!-- .box -->
</div> <!-- .span6 -->

</div> <!-- .row-fluid -->
