<%inherit file="/View/_Layout.mako" />

<div class="row-fluid">
<div class="span6">
<h3 class="box-header">Atendimentos</h3>
<div class="box">
	<table>
		<tr>
			<th class="span11">Nome</th>
			<th class="span1">Data</th>
		</tr>
% for meeting in sorted(interviewer.meetings, key = lambda meeting: (meeting.AppointmentDateTime, meeting.student_name)):
		<tr>
			<td><a href="/candidate/${meeting.CandidateId}/">${meeting.student_name | h}</a></td>
			<td>${meeting.AppointmentDateTime | n,ShortDay}/${meeting.AppointmentDateTime | n,ShortMonth}</td>
		</tr>
% endfor
	</table>
</div>  <!-- .box -->
</div>  <!-- .span6 -->

<div class="span6">
<h3 class="box-header">Matrículas</h3>
<div class="box">
	<table>
		<tr>
			<th class="span11">Nome</th>
			<th class="span1">Data</th>
		</tr>
% for enrollment in sorted(interviewer.enrollments, key = lambda enrollment: (enrollment.timestamp, enrollment.student_name)):
		<tr>
			<td><a href="/candidate/${enrollment.CandidateId}/">${enrollment.student_name | h}</a></td>
			<td>${enrollment.timestamp | n,ShortDay}/${enrollment.timestamp | n,ShortMonth}</td>
		</tr>
% endfor
	</table>
</div>  <!-- .box -->
</div>  <!-- .span6 -->
</div>  <!-- .row-fluid -->
