<%inherit file="/View/Settings/_Base.mako" />

<div class="alert">

<i class="icon-warning-sign icon-2x pull-right"></i>

<p>Esta é uma página experimental; as alterações feitas aqui persistirão somente até o servidor ser reiniciado novamente.</p>
</div>

<h4>Servidor de email</h4>

<p>Esta é a conta de email que será usada para enviar emails de notificação.</p>

<form class="form-horizontal">
	<div class="control-group">
		<label for="smtp-server" class="control-label">Servidor SMTP</label>
		<div class="controls">
			<a href="#" data-type="text" data-url="/settings/mail/"
			   data-name="smtp_server" id="smtp-server"
			   class="editable editable-click">
			   ${config.smtp_server | h}</a>
		</div>
	</div>

	<div class="control-group">
		<label for="smtp-username" class="control-label">Nome de usuário</label>
		<div class="controls">
			<a href="#" data-type="text" data-url="/settings/mail/"
			   data-name="smtp_username" id="smtp-username"
			   class="editable editable-click">
			   ${config.smtp_username | h}</a>
		</div>
	</div>

	<div class="control-group">
		<label for="smtp-password" class="control-label">Senha</label>
		<div class="controls">
			<a href="#" data-type="password" data-url="/settings/mail/"
			   data-name="smtp_password" id="smtp-password"
			   class="editable editable-click">
			   ${u"\u25CF" * 8 | h}</a>
		</div>
	</div>

	<div class="form-actions">
		<button class="btn btn-primary" id="smtp-test">Testar configuração</button>
	</div>

<script>
	$('#smtp-test').click(function (e) {
		$.post('/settings/mail/smtp-test/', {}, function () {
			alert('success');
		}).fail(function () {
			alert('fail');
		});

		e.preventDefault();
		e.stopPropagation();
		return false;
	});
</script>
</form>
