# -*- coding:utf-8 -*-
from mako import runtime, filters, cache
UNDEFINED = runtime.UNDEFINED
__M_dict_builtin = dict
__M_locals_builtin = locals
_magic_number = 10
_modified_time = 1480341432.645571
_enable_loop = True
_template_filename = '/var/www/apogeu/lawrence/Candidate/View/Candidate/QSE/Step1.mako'
_template_uri = 'Candidate/View/Candidate/QSE/Step1.mako'
_source_encoding = 'utf-8'
from lawrence.util import js
from lawrence.util import gender
from lawrence.util import decimal
from lawrence.util import percentage
from lawrence.util import int_
from lawrence.util import br
from lawrence.util import QueryString
from lawrence.util import money
from lawrence.util import cpf
from lawrence.util import phone
from lawrence.util import TimeDelta
from lawrence.util import time
from lawrence.util import ShortTime
from lawrence.util import unit
from lawrence.util import ShortDay, LongDay
from lawrence.util import ShortMonth, LongMonth
from lawrence.util import year
from lawrence.util import date_s, LongDateTime
from lawrence.util import group_by
from lawrence.util import n_partition
from lawrence.util import columns, selected
from lawrence.util import checked
from lawrence.util import disabled
from lawrence.util import AgeInYearsAndMonths
from decimal import Decimal
import lawrence.timeutil as timeutil
import lawrence.db as db
from lawrence.db import DBRow
_exports = []


title = u"" 

def _mako_get_namespace(context, name):
    try:
        return context.namespaces[(__name__, name)]
    except KeyError:
        _mako_generate_namespaces(context)
        return context.namespaces[(__name__, name)]
def _mako_generate_namespaces(context):
    pass
def _mako_inherit(template, context):
    _mako_generate_namespaces(context)
    return runtime._inherit_from(context, '/Candidate/View/Candidate/QSE/StepTemplate.mako', _template_uri)
def render_body(context,**pageargs):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_locals = __M_dict_builtin(pageargs=pageargs)
        qse = context.get('qse', UNDEFINED)
        token = context.get('token', UNDEFINED)
        candidate = context.get('candidate', UNDEFINED)
        __M_writer = context.writer()
        __M_writer('\n')
        __M_writer('\n\n<h1 align="center">Questionário sócio-econômico</h1> <br>\n\n<div class="row-fluid">\n<div class="center-block">\n\t<h3>Leia <strong>atentamente</strong> as instruções abaixo:</h3>\n\t<h5 align="justify">Preencha todos os campos abaixo com os valores correspondentes. Lembre-se que será necessário apresentar documentos para comprovação dos dados inseridos.</h5>\n\t<h5 align="justify">Para o preenchimento dos campos que correspondem a valores monetários, digite apenas números com duas casas decimais (não é necessário digitar R$).</h5>\t\n\t<h5 align="justify">Para o preenchimento do campo Desempenho Acadêmico, entre um valor entre 0 e 100 que corresponde à média geral do aluno no ano atual.</h5>\n    <h5 align="justify">Para o preenchimento do campo Gastos com cartão de crédito, insira o valor <strong>TOTAL</strong> dos gastos com o cartão, mesmo que já tenham sido em parte considerados em outros campos.</h5>\n\t<h5 align="justify">Para onde não há gastos ou renda, preencha com valor 0 (zero). Por exemplo, se você ninguém da sua família recebe Bolsa Família, você deve preencher o campo "Valor recebido com Bolsa Família" com o valor 0.</h5>\n\t<h5 align="justify">Em caso de dúvidas, contate apogeu@colegioapogeu.com.br</h5>\n\t<br>\n\n    <form action="/candidate/')
        __M_writer(str(candidate.Id))
        __M_writer('/qse/" method="POST" id="qse-form" class="form-horizontal">\n\n        <div class="control-group">\n            <label class="control-label" for="AcademicPerformance">Desempenho acadêmico (0-100)</label>\n            <div class="controls">\n                <input type="text" name="AcademicPerformance" id="AcademicPerformance" \n                pattern="0*((\\d{0,2})|(100))" oninvalid="setCustomValidity(\'Por favor, insira um número entre 0 e 100\')"\n                value="')
        __M_writer(int_()(qse.AcademicPerformance if qse is not None else '0' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n        \n        <div class="control-group">\n\n            <label class="control-label" for="CurrentMonthlyPayment">Valor da mensalidade atual</label>\n            <div class="controls">\n                <input type="text" name="CurrentMonthlyPayment" id="CurrentMonthlyPayment" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.CurrentMonthlyPayment if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="IntendedMonthlyPayment">Valor da mensalidade pretendida</label>\n            <div class="controls">\n                <input type="text" name="IntendedMonthlyPayment" id="IntendedMonthlyPayment" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.IntendedMonthlyPayment if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="IsFromApogeu">É aluno do Apogeu</label>\n            <div class="controls">\n                <select name="IsFromApogeu">\n                    <option ')
        __M_writer(str("selected" if (qse is None or qse.IsFromApogeu == "Sim") else ""))
        __M_writer(' value="Sim">Sim</option>\n                    <option ')
        __M_writer(str("selected" if (qse is not None and qse.IsFromApogeu != "Sim") else ""))
        __M_writer(' value="Não">Não</option>\n                  </select>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="Schooling">Escolaridade</label>\n            <div class="controls">\n                <select name="Schooling">\n                    <option ')
        __M_writer(str("selected" if (qse is None or qse.Schooling == "Escola particular com bolsa integral") else ""))
        __M_writer(' value="Escola particular com bolsa integral">Escola particular com bolsa integral</option>\n                    <option ')
        __M_writer(str("selected" if (qse is not None and qse.Schooling == "Escola particular com bolsa parcial") else ""))
        __M_writer(' value="Escola particular com bolsa parcial">Escola particular com bolsa parcial</option>\n                    <option ')
        __M_writer(str("selected" if (qse is not None and qse.Schooling == "Escola particular sem bolsa") else ""))
        __M_writer(' value="Escola particular sem bolsa">Escola particular sem bolsa</option>\n                    <option ')
        __M_writer(str("selected" if (qse is not None and qse.Schooling == "Escola pública") else ""))
        __M_writer(' value="Escola pública">Escola pública</option>\n                  </select>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="Housing">Condições de moradia</label>\n            <div class="controls">\n                <select name="Housing">\n                    <option ')
        __M_writer(str("selected" if (qse is None or qse.Housing == "Própria e quitada") else ""))
        __M_writer(' value="Própria e quitada">Própria e quitada</option>\n                    <option ')
        __M_writer(str("selected" if (qse is not None and qse.Housing == "Própria em pagamento") else ""))
        __M_writer(' value="Própria em pagamento">Própria em pagamento</option>\n                    <option ')
        __M_writer(str("selected" if (qse is not None and qse.Housing == "Alugada") else ""))
        __M_writer(' value="Alugada">Alugada</option>\n                    <option ')
        __M_writer(str("selected" if (qse is not None and qse.Housing == "Herdeiros") else ""))
        __M_writer(' value="Herdeiros">Herdeiros</option>\n                  </select>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="HouseTax">Valor do condomínio</label>\n            <div class="controls">\n                <input type="text" name="HouseTax" id="HouseTax" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.HouseTax if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="Rent">Aluguel ou prestação da casa</label>\n            <div class="controls">\n                <input type="text" name="Rent" id="Rent" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.Rent if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="SecondHouseTax">Gastos com segunda moradia</label>\n            <div class="controls">\n                <input type="text" name="SecondHouseTax" id="SecondHouseTax" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.SecondHouseTax if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="EducationalExpenses">Mensalidades de colégios, faculdades e cursos</label>\n            <div class="controls">\n                <input type="text" name="EducationalExpenses" id="EducationalExpenses" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.EducationalExpenses if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="FoodExpenses">Gastos com alimentação</label>\n            <div class="controls">\n                <input type="text" name="FoodExpenses" id="FoodExpenses" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.FoodExpenses if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="PhoneExpenses">Gastos com telefone</label>\n            <div class="controls">\n                <input type="text" name="PhoneExpenses" id="PhoneExpenses" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.PhoneExpenses if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="WaterExpenses">Gastos com água</label>\n            <div class="controls">\n                <input type="text" name="WaterExpenses" id="WaterExpenses" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.WaterExpenses if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="EnergyExpenses">Gastos com energia</label>\n            <div class="controls">\n                <input type="text" name="EnergyExpenses" id="EnergyExpenses" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.EnergyExpenses if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="HealthExpenses">Plano de saúde e gastos médicos</label>\n            <div class="controls">\n                <input type="text" name="HealthExpenses" id="HealthExpenses" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.HealthExpenses if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="TransportationExpenses">Gastos com transporte</label>\n            <div class="controls">\n                <input type="text" name="TransportationExpenses" id="TransportationExpenses" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.TransportationExpenses if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="IPTU">IPTU (mensal)</label>\n            <div class="controls">\n                <input type="text" name="IPTU" id="IPTU" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.IPTU if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="CreditCardExpenses">Gastos com cartão de crédito</label>\n            <div class="controls">\n                <input type="text" name="CreditCardExpenses" id="CreditCardExpenses" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.CreditCardExpenses if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="ExtraExpenses">Outros gastos</label>\n            <div class="controls">\n                <input type="text" name="ExtraExpenses" id="ExtraExpenses" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.ExtraExpenses if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="Pension">Valor recebido com pensão</label>\n            <div class="controls">\n                <input type="text" name="Pension" id="Pension" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.Pension if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <div class="control-group">\n            <label class="control-label" for="BolsaFamilia">Valor recebido com Bolsa Família</label>\n            <div class="controls">\n                <input type="text" name="BolsaFamilia" id="BolsaFamilia" \n                pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')"\n                value="')
        __M_writer(decimal(2)(qse.BolsaFamilia if qse is not None else '0,00' ))
        __M_writer('" \n                required>\n            </div>\n        </div>\n\n        <input type="hidden" name="fromStudent" id="fromStudent" value="y">\n        <input type="hidden" name="token" id="token" value="')
        __M_writer(str(token))
        __M_writer('">\n\n        <div class="form-actions">\n            <button type="submit" class="btn btn-primary" id="submit-qse-button">Avançar &raquo;</button>\n        </div>\n    </form>\n\n</div>\n</div>\n\n<style>\n.control-label{\n    width: 300px !important;\n    cursor: default;\n}\n.controls {\n\tmargin-left: 320px !important;\n}\n.center-block {\n\twidth: 600px;\n\tmargin: auto;\n}\n.btn {\n\tmargin-left: 100px;\n}\n</style>\n<script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.11.1/jquery.validate.min.js"></script>\n<script>\n$(document).on(\'submit\', \'#qse-form\', function(e) {\n    $(this).validate();\n    if ($(this).valid()) {\n         $.ajax({\n            url: $(this).attr(\'action\'),\n            type: $(this).attr(\'method\'),\n            data: $(this).serialize(),\n            success: function(html) {\n            \twindow.location.href = "/candidate/')
        __M_writer(str(candidate.Id))
        __M_writer('/qse/2/?token=')
        __M_writer(str(token))
        __M_writer('";\n            }\n        });\n        e.preventDefault();\n    } else  {\n        alert("Um ou mais campos foram preenchidos de forma incorreta. Por favor, verifique o preenchimento dos campos e tente novamente");\n    }\n});\n</script>\n\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


"""
__M_BEGIN_METADATA
{"line_map": {"128": 271, "129": 271, "135": 129, "43": 1, "56": 0, "64": 1, "65": 2, "66": 17, "67": 17, "68": 24, "69": 24, "70": 35, "71": 35, "72": 45, "73": 45, "74": 54, "75": 54, "76": 55, "77": 55, "78": 64, "79": 64, "80": 65, "81": 65, "82": 66, "83": 66, "84": 67, "85": 67, "86": 76, "87": 76, "88": 77, "89": 77, "90": 78, "91": 78, "92": 79, "93": 79, "94": 89, "95": 89, "96": 99, "97": 99, "98": 109, "99": 109, "100": 119, "101": 119, "102": 129, "103": 129, "104": 139, "105": 139, "106": 149, "107": 149, "108": 159, "109": 159, "110": 169, "111": 169, "112": 179, "113": 179, "114": 189, "115": 189, "116": 199, "117": 199, "118": 209, "119": 209, "120": 219, "121": 219, "122": 229, "123": 229, "124": 235, "125": 235, "126": 271, "127": 271}, "source_encoding": "utf-8", "filename": "/var/www/apogeu/lawrence/Candidate/View/Candidate/QSE/Step1.mako", "uri": "Candidate/View/Candidate/QSE/Step1.mako"}
__M_END_METADATA
"""
