# -*- coding:utf-8 -*-
from mako import runtime, filters, cache
UNDEFINED = runtime.UNDEFINED
__M_dict_builtin = dict
__M_locals_builtin = locals
_magic_number = 10
_modified_time = 1500671534.6342921
_enable_loop = True
_template_filename = '/var/www/apogeu/lawrence/Candidate/View/Candidate/_Negotiations.mako'
_template_uri = '/Candidate/View/Candidate/_Negotiations.mako'
_source_encoding = 'utf-8'
from lawrence.util import js
from lawrence.util import gender
from lawrence.util import decimal
from lawrence.util import percentage
from lawrence.util import int_
from lawrence.util import br
from lawrence.util import QueryString
from lawrence.util import money
from lawrence.util import cpf
from lawrence.util import phone
from lawrence.util import TimeDelta
from lawrence.util import time
from lawrence.util import ShortTime
from lawrence.util import unit
from lawrence.util import ShortDay, LongDay
from lawrence.util import ShortMonth, LongMonth
from lawrence.util import year
from lawrence.util import date_s, LongDateTime
from lawrence.util import group_by
from lawrence.util import n_partition
from lawrence.util import columns, selected
from lawrence.util import checked
from lawrence.util import disabled
from lawrence.util import AgeInYearsAndMonths
from decimal import Decimal
import lawrence.timeutil as timeutil
import lawrence.db as db
from lawrence.db import DBRow
_exports = ['candidate_negotiations']


def render_body(context,**pageargs):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_locals = __M_dict_builtin(pageargs=pageargs)
        __M_writer = context.writer()
        __M_writer('\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


def render_candidate_negotiations(context,candidate):
    __M_caller = context.caller_stack._push_frame()
    try:
        config = context.get('config', UNDEFINED)
        Candidate = context.get('Candidate', UNDEFINED)
        Model = context.get('Model', UNDEFINED)
        max = context.get('max', UNDEFINED)
        __M_writer = context.writer()
        __M_writer('\n')
        if candidate.Negotiation:
            __M_writer('\t<h3 class="box-header">Bolsas negociadas</h3>\n\t<div class="box">\n\t\t<form class="form-horizontal">\n')
            for negotiation in candidate.Negotiation:
                __M_writer('\t\t<div class="control-group">\n\t\t\t<label class="control-label">\n\t\t\t\t')
                __M_writer(filters.html_escape(str(negotiation.SchoolClass.Name )))
                __M_writer(' ')
                __M_writer(filters.html_escape(str(negotiation.Shift.Name )))
                __M_writer('<br>\n\t\t\t\t<span class="muted">(')
                __M_writer(LongDay(negotiation.NegotiationDate ))
                __M_writer(' de ')
                __M_writer(LongMonth(negotiation.NegotiationDate ))
                __M_writer(')</span></label>\n\t\t\t<div class="controls">\n\t\t\t\t<a href="#" class="editable" data-disabled="true">\n\t\t\t\t')
                __M_writer(percentage()(negotiation.LowerBound ))
                __M_writer('<br>\n')
                if negotiation.LowerBound != negotiation.UpperBound:
                    if negotiation.UpperBound is not None:
                        __M_writer('\t\t\t\t\t\t<span class="muted">(responsável pediu ')
                        __M_writer(percentage()(negotiation.UpperBound ))
                        __M_writer(')</span>\n')
                    else:
                        __M_writer('\t\t\t\t\t\t<span class="muted">(responsável não fez contra-proposta)</span>\n')
                    __M_writer('\t\t\t\t\t<br>\n')
                if negotiation.FullNumber is not None:
                    __M_writer('\t\t\t\t\t<span class="muted">')
                    __M_writer(int_()(negotiation.FullNumber ))
                    __M_writer(' parcelas integrais</span>\n')
                __M_writer('\t\t\t\t\n\t\t\t\t</a>\n')
                if Model.CanDeleteNegotiation:
                    __M_writer('\t\t\t\t\t<a href="#" class="btnDeleteNegotiation pull-right"\n\t\t\t\t   data-negotiation-id="')
                    __M_writer(filters.html_escape(str(negotiation.Id )))
                    __M_writer('" style="margin-top: 5px; margin-left: 8px"><i class="icon-remove"></i></a>\n')
                __M_writer('\t\t\t\t\n')
                if Model.CanEnroll and config.TotvsGateway is not None and negotiation.LowerBound == max(_.LowerBound for _ in candidate.Negotiation):
                    if candidate.status == 'pending_reenrollment':
                        __M_writer('\t\t\t\t\t<a href="/Candidate/Enroll/')
                        __M_writer(filters.html_escape(str(negotiation.Id )))
                        __M_writer('/" class="btn btn-primary pull-right"><i class="icon-refresh"></i>&emsp;Rematricular</a>\n')
                    else:
                        __M_writer('\t\t\t\t\t<a href="/Candidate/Enroll/')
                        __M_writer(filters.html_escape(str(negotiation.Id )))
                        __M_writer('/" class="btn btn-primary pull-right">Matricular</a>\n')
                __M_writer('\t\t\t</div> \n\t\t</div>\n')
            __M_writer('\n\t\t</form>\n\t</div>\n\n')
            if Model.CanDeleteNegotiation:
                __M_writer("\t\t<script>\n\t\t$('.btnDeleteNegotiation').click(function (e) {\n\t\t\tvar controlGroup = $(this).closest('.control-group');\n\t\t\t$.post('")
                __M_writer(js(str(Candidate.path )))
                __M_writer("Negotiation/' + this.dataset.negotiationId + '/Delete/',\n\t\t\t\t   {},\n\t\t\t\t   function () { controlGroup.remove(); });\n\n\t\t\te.preventDefault();\n\t\t\te.stopPropagation();\n\t\t\treturn false;\n\t\t});\n\t\t</script>\n")
        return ''
    finally:
        context.caller_stack._pop_frame()


"""
__M_BEGIN_METADATA
{"uri": "/Candidate/View/Candidate/_Negotiations.mako", "line_map": {"43": 0, "48": 61, "54": 1, "62": 1, "63": 2, "64": 3, "65": 6, "66": 7, "67": 9, "68": 9, "69": 9, "70": 9, "71": 10, "72": 10, "73": 10, "74": 10, "75": 13, "76": 13, "77": 14, "78": 15, "79": 16, "80": 16, "81": 16, "82": 17, "83": 18, "84": 20, "85": 22, "86": 23, "87": 23, "88": 23, "89": 25, "90": 27, "91": 28, "92": 29, "93": 29, "94": 31, "95": 32, "96": 33, "97": 34, "98": 34, "99": 34, "100": 35, "101": 36, "102": 36, "103": 36, "104": 39, "105": 42, "106": 46, "107": 47, "108": 50, "109": 50, "115": 109}, "filename": "/var/www/apogeu/lawrence/Candidate/View/Candidate/_Negotiations.mako", "source_encoding": "utf-8"}
__M_END_METADATA
"""
