# -*- coding:utf-8 -*-
from mako import runtime, filters, cache
UNDEFINED = runtime.UNDEFINED
__M_dict_builtin = dict
__M_locals_builtin = locals
_magic_number = 10
_modified_time = 1437492279.01937
_enable_loop = True
_template_filename = '/Users/fmoreira/PyCharmProjects/lawrence/View/Campaign/RegistrationChart.mako'
_template_uri = '/View/Campaign/RegistrationChart.mako'
_source_encoding = 'utf-8'
from lawrence.util import js
from lawrence.util import gender
from lawrence.util import decimal
from lawrence.util import percentage
from lawrence.util import br
from lawrence.util import QueryString
from lawrence.util import money
from lawrence.util import cpf
from lawrence.util import phone
from lawrence.util import TimeDelta
from lawrence.util import time
from lawrence.util import ShortTime
from lawrence.util import unit
from lawrence.util import ShortDay, LongDay
from lawrence.util import ShortMonth, LongMonth
from lawrence.util import year
from lawrence.util import date_s, LongDateTime
from lawrence.util import group_by
from lawrence.util import n_partition
from lawrence.util import columns, selected
from lawrence.util import checked
from lawrence.util import disabled
from lawrence.util import AgeInYearsAndMonths
from decimal import Decimal
import lawrence.timeutil as timeutil
import lawrence.db as db
from lawrence.db import DBRow
_exports = []


def render_body(context,**pageargs):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_locals = __M_dict_builtin(pageargs=pageargs)
        Model = context.get('Model', UNDEFINED)
        range = context.get('range', UNDEFINED)
        len = context.get('len', UNDEFINED)
        date = context.get('date', UNDEFINED)
        max = context.get('max', UNDEFINED)
        set = context.get('set', UNDEFINED)
        min = context.get('min', UNDEFINED)
        sorted = context.get('sorted', UNDEFINED)
        int = context.get('int', UNDEFINED)
        __M_writer = context.writer()


# FIXME: move this somewhere more appropriate
        import json
        
        def date_js(date):
            timestamp = int(date.strftime('%s'))
            return (timestamp - timestamp % 86400) * 1000
        
        def FillGaps(data):
            if len(data) == 0:
                return []
            minDate = min(date for date, count in data)
            maxDate = max(date for date, count in data)
            assert (maxDate - minDate) % (86400 * 1000) == 0
            missingDates = set(range(minDate, maxDate, 86400 * 1000)) - set(date for date, count in data)
            for missingDate in missingDates:
                data.append((missingDate, 0))
            return sorted(data)
        
        currentData = FillGaps([(date_js(k), v) for k, v in sorted(Model.CurrentTimeSeries.items())])
        if len(Model.CurrentTimeSeries) == 0 or len(Model.HistoricTimeSeries) == 0:
            dateOffset = 0
        else:
            dateOffset = min(date_js(k) for k in Model.CurrentTimeSeries) - \
                 min(date_js(datum.RegistrationDate) for datum in Model.HistoricTimeSeries)
        historicData = FillGaps([(date_js(datum.RegistrationDate) + dateOffset, datum.Count) for datum in Model.HistoricTimeSeries])
        
        interestingDates = [date_js(datum.ExamDate) for datum in Model.ExamDateList]
        
        
        
        __M_locals_builtin_stored = __M_locals_builtin()
        __M_locals.update(__M_dict_builtin([(__M_key, __M_locals_builtin_stored[__M_key]) for __M_key in ['dateOffset','date_js','v','json','historicData','k','FillGaps','currentData','interestingDates','datum'] if __M_key in __M_locals_builtin_stored]))
        __M_writer('\n\n<div class="row-fluid">\n    <div class="span12">\n        <h2 class="box-header">Inscrições</h2>\n        <div class="box">\n            <div class="btn-group" data-toggle="buttons-radio">\n                <a href="#" class="btn" onclick="renderPlot()">diárias</a>\n                <a href="#" class="btn active" onclick="renderPlot(\'smooth\')">semanais</a>\n                <a href="#" class="btn" onclick="renderPlot(\'accumulate\')">acumuladas</a>\n            </div>\n            <div id="registration-chart"></div>\n        </div>\n    </div>\n</div>\n\n<script>\nvar currentData = ')
        __M_writer(str(json.dumps(currentData)))
        __M_writer(';\nvar historicData = ')
        __M_writer(str(json.dumps(historicData)))
        __M_writer(';\nvar interestingDates = ')
        __M_writer(str(json.dumps(interestingDates)))
        __M_writer(';\n</script>\n\n<script>\nfunction smoothData(data) {\n    var smoothedData = [];\n    var history = [];\n    var sum = 0;\n    for (var i = 0; i < data.length; i++) {\n        history.push(data[i][1]);\n        sum += data[i][1];\n\n        if (history.length > 7) {\n            sum -= history[0];\n            history = history.slice(1);\n        }\n\n        if (history.length == 7) {\n            smoothedData.push([data[i][0], sum / 7]);\n        }\n    }\n\n    return smoothedData;\n}\n\nfunction accumulateData(data) {\n    var accumulatedData = [];\n    var sum = 0;\n    for (var i = 0; i < data.length; i++) {\n        sum += data[i][1];\n        accumulatedData.push([data[i][0], sum]);\n    }\n\n    return accumulatedData;\n}\n\nfunction renderPlot(mode) {\n    var aggregate = function (data) { return data };\n    if (mode == \'smooth\') {\n        aggregate = smoothData;\n    } else if (mode == \'accumulate\') {\n        aggregate = accumulateData;\n    }\n\n    console.log(historicData);\n    console.log(currentData);\n\n    var chartSeries = [{\n         label: \'Inscrições 2014\',\n         color: \'rgba(0, 136, 204, 0.3)\',\n         data: aggregate(historicData),\n    }, {\n        label: \'Inscrições 2015\',\n        color: \'rgba(0, 136, 204, 1.0)\',\n        data: aggregate(currentData),\n    }];\n\n    var latestDate = 0;\n    for (var i = 0; i < historicData.length; i++) {\n        latestDate = Math.max(latestDate, historicData[i][0]);\n    }\n    for (var i = 0; i < currentData.length; i++) {\n        latestDate = Math.max(latestDate, currentData[i][0]);\n    }\n\n    var chartMarkings = []\n    for (var i = 0; i < interestingDates.length; i++) {\n        if (interestingDates[i] >= latestDate) {\n            continue;\n        }\n        chartMarkings.push({\n            color: "#ddd",\n            lineWidth: 1,\n            xaxis: {\n                from: interestingDates[i],\n                to: interestingDates[i]}});\n    }\n\n    var chart = $(\'#registration-chart\');\n    var wrapper = chart.closest(\'.graph-wrapper\')[0]\n    if (wrapper) {\n        // FIXME\n        wrapper.parentNode.replaceChild(chart[0], wrapper);\n    }\n\n    chart.simplePlot(chartSeries, {\n        xaxis: {mode: \'time\',\n                minTickSize: [1, \'day\'],\n                timeformat: \'%d/%b\',\n                show: false},\n        yaxis: {minTickSize: 1,\n                min: 0,\n                tickDecimals: 0},\n        grid: {markings: chartMarkings},\n    }, {\n        heightRatio: 0.25,\n        legend: {show: false},\n        tooltipText: (mode == \'smooth\') ?\n            "$.plot.formatDate(new Date(x), \'%d/%b\') + \': \' + y.toFixed(1) + ((y > 1) ? \' inscrições\' : \' inscrição\')" :\n            "$.plot.formatDate(new Date(x), \'%d/%b\') + \': \' + y.toFixed(0) + ((y > 1) ? \' inscrições\' : \' inscrição\')",\n    });\n\n    var plot = $(\'#registration-chart\')[0].plot;\n    var o = null;\n    var div = null;\n\n    for (var i = 0; i < interestingDates.length; i++) {\n        if (interestingDates[i] >= latestDate) {\n            continue;\n        }\n        o = plot.pointOffset({x: interestingDates[i], y: 0});\n\n        div = $(\'<div></div>\')\n                .css(\'left\', o.left + 4)\n                .css(\'top\', o.top - 18)\n                .css(\'position\', \'absolute\')\n                .css(\'color\', \'#aaa\')\n                .css(\'font-size\', 11);\n        div.text($.plot.formatDate(new Date(interestingDates[i] + 86400000), \'%d/%b\'));\n        chart.append(div);\n    }\n}\n\nrenderPlot(\'smooth\');\n</script>\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


"""
__M_BEGIN_METADATA
{"filename": "/Users/fmoreira/PyCharmProjects/lawrence/View/Campaign/RegistrationChart.mako", "line_map": {"96": 50, "95": 50, "102": 96, "56": 1, "42": 0, "91": 48, "92": 48, "90": 31, "94": 49, "93": 49}, "source_encoding": "utf-8", "uri": "/View/Campaign/RegistrationChart.mako"}
__M_END_METADATA
"""
