# -*- coding:utf-8 -*-
from mako import runtime, filters, cache
UNDEFINED = runtime.UNDEFINED
STOP_RENDERING = runtime.STOP_RENDERING
__M_dict_builtin = dict
__M_locals_builtin = locals
_magic_number = 10
_modified_time = 1525887199.6765113
_enable_loop = True
_template_filename = '/var/www/apogeu/lawrence/View/Report/Appointment/Date.mako'
_template_uri = 'View/Report/Appointment/Date.mako'
_source_encoding = 'utf-8'
from lawrence.util import js
from lawrence.util import gender
from lawrence.util import decimal
from lawrence.util import percentage
from lawrence.util import int_
from lawrence.util import br
from lawrence.util import QueryString
from lawrence.util import money
from lawrence.util import cpf
from lawrence.util import phone
from lawrence.util import TimeDelta
from lawrence.util import time
from lawrence.util import ShortTime
from lawrence.util import unit
from lawrence.util import ShortDay, LongDay
from lawrence.util import ShortMonth, LongMonth
from lawrence.util import year
from lawrence.util import date_s, LongDateTime
from lawrence.util import group_by
from lawrence.util import n_partition
from lawrence.util import columns, selected
from lawrence.util import checked
from lawrence.util import disabled
from lawrence.util import AgeInYearsAndMonths
from decimal import Decimal
import lawrence.timeutil as timeutil
import lawrence.db as db
from lawrence.db import DBRow
_exports = []


def _mako_get_namespace(context, name):
    try:
        return context.namespaces[(__name__, name)]
    except KeyError:
        _mako_generate_namespaces(context)
        return context.namespaces[(__name__, name)]
def _mako_generate_namespaces(context):
    pass
def _mako_inherit(template, context):
    _mako_generate_namespaces(context)
    return runtime._inherit_from(context, '/View/_Layout.mako', _template_uri)
def render_body(context,**pageargs):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_locals = __M_dict_builtin(pageargs=pageargs)
        sorted = context.get('sorted', UNDEFINED)
        len = context.get('len', UNDEFINED)
        reportDate = context.get('reportDate', UNDEFINED)
        sum = context.get('sum', UNDEFINED)
        interviewers = context.get('interviewers', UNDEFINED)
        __M_writer = context.writer()
        __M_writer('\n\n<input type="text" class="input-small date-picker" data-date-format="M/yyyy" id="report-month" value="')
        __M_writer(filters.html_escape(str(ShortMonth(reportDate) + u"/" + year(reportDate) if reportDate is not None else "" )))
        __M_writer('" data-value="')
        __M_writer(filters.html_escape(str(reportDate.isoformat() if reportDate is not None else "" )))
        __M_writer('">\n\n<script>\n    function pad(n) { return n < 10 ? \'0\' + n : n; };\n    /**\n     * @return {string}\n     */\n    function ISOString(d) {\n        return d.getUTCFullYear() + \'-\' +\n               pad(d.getUTCMonth() + 1) + \'-\' +\n               pad(d.getUTCDate());\n    }\n    $(\'#report-month\').datepicker({\n        minViewMode: \'months\',\n        viewMode: \'months\',\n    })\n        .on(\'changeDate\', function (e) {\n            window.location.href = [location.protocol, \'//\', location.host, location.pathname].join(\'\') + \'?date=\' + ISOString(e.date);\n        })\n        .keypress(function (e) {\n            if (!this.value && e.which == 13) {\n                window.location.href = [location.protocol, \'//\', location.host, location.pathname].join(\'\');\n            }\n        });\n</script>\n\n<table class="table">\n<thead>\n\t<tr>\n\t\t<th>Nome</th>\n\t\t<th>Atendimentos</th>\n\t\t<th>Matrículas</th>\n\t</tr>\n</thead>\n<tbody>\n')
        for interviewer in sorted(interviewers.values(), key = lambda interviewer: interviewer.FullName):
            __M_writer('\t<tr>\n\t\t<td><a href="/report/appointment/?user=')
            __M_writer(filters.html_escape(str(interviewer.Id )))
            __M_writer('">')
            __M_writer(filters.html_escape(str(interviewer.FullName )))
            __M_writer('</a></td>\n\t\t<td>')
            __M_writer(filters.html_escape(str(len(interviewer.meetings) )))
            __M_writer('</td>\n\t\t<td>')
            __M_writer(filters.html_escape(str(len(interviewer.enrollments) )))
            __M_writer('</td>\n\t</tr>\n')
        __M_writer('</tbody>\n<tfoot>\n\t<tr>\n\t\t<th>Total</th>\n\t\t<th>')
        __M_writer(filters.html_escape(str(sum([len(interviewer.meetings) for interviewer in interviewers.values()]) )))
        __M_writer('</th>\n\t\t<th>')
        __M_writer(filters.html_escape(str(sum([len(interviewer.enrollments) for interviewer in interviewers.values()]) )))
        __M_writer('</th>\n\t</tr>\n</tfoot>\n</table>\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


"""
__M_BEGIN_METADATA
{"line_map": {"65": 1, "66": 3, "67": 3, "68": 3, "69": 3, "70": 38, "71": 39, "72": 40, "73": 40, "74": 40, "75": 40, "76": 41, "77": 41, "78": 42, "79": 42, "80": 45, "81": 49, "82": 49, "83": 50, "84": 50, "90": 84, "55": 0}, "filename": "/var/www/apogeu/lawrence/View/Report/Appointment/Date.mako", "source_encoding": "utf-8", "uri": "View/Report/Appointment/Date.mako"}
__M_END_METADATA
"""
