# -*- coding:utf-8 -*-
from mako import runtime, filters, cache
UNDEFINED = runtime.UNDEFINED
__M_dict_builtin = dict
__M_locals_builtin = locals
_magic_number = 10
_modified_time = 1437085314.97175
_enable_loop = True
_template_filename = '/Users/fmoreira/PyCharmProjects/lawrence/Candidate/View/Candidate/_Filter.mako'
_template_uri = '/Candidate/View/Candidate/_Filter.mako'
_source_encoding = 'utf-8'
from lawrence.util import js
from lawrence.util import gender
from lawrence.util import decimal
from lawrence.util import percentage
from lawrence.util import br
from lawrence.util import QueryString
from lawrence.util import money
from lawrence.util import cpf
from lawrence.util import phone
from lawrence.util import TimeDelta
from lawrence.util import time
from lawrence.util import ShortTime
from lawrence.util import unit
from lawrence.util import ShortDay, LongDay
from lawrence.util import ShortMonth, LongMonth
from lawrence.util import year
from lawrence.util import date_s, LongDateTime
from lawrence.util import group_by
from lawrence.util import n_partition
from lawrence.util import columns, selected
from lawrence.util import checked
from lawrence.util import disabled
from lawrence.util import AgeInYearsAndMonths
from decimal import Decimal
import lawrence.timeutil as timeutil
import lawrence.db as db
from lawrence.db import DBRow
_exports = ['Filter', 'filter_styles', 'Sort', 'search_filters']


def render_body(context,**pageargs):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_locals = __M_dict_builtin(pageargs=pageargs)
        __M_writer = context.writer()
        __M_writer('\n\n')
        __M_writer('\n\n')
        __M_writer('\n\n')
        __M_writer('\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


def render_Filter(context,filterName,optionList,filterLabel):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_writer = context.writer()
        __M_writer('\n<h3 data-filter="')
        __M_writer(filters.html_escape(str(filterName )))
        __M_writer('"><span class="FilterLabel">')
        __M_writer(filters.html_escape(str(filterLabel )))
        __M_writer('</span><span class="FilterSelection"></span></h3>\n<div class="box box-collapsed">\n\t<a class="btn btnToggleMultiSelect" style="margin-bottom: 8px"><i class="icon-check"></i></a>\n\n    <table data-filter="')
        __M_writer(filters.html_escape(str(filterName )))
        __M_writer('"><thead>\n    </thead><tbody>\n')
        for option in optionList:
            __M_writer('        <tr>\n            <td><input type="radio" name="')
            __M_writer(filters.html_escape(str(filterName )))
            __M_writer('" value="')
            __M_writer(filters.html_escape(str(option.value )))
            __M_writer('"></td>\n            <td>')
            __M_writer(filters.html_escape(str(option.name )))
            __M_writer('</td>\n            <td><span class="badge"></span></td>\n        </tr>\n')
        __M_writer('    </tbody></table>\n</div>\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


def render_filter_styles(context):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_writer = context.writer()
        __M_writer('\n<style>')
        runtime._include_file(context, 'CandidateIndex.css', _template_uri)
        __M_writer('</style>\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


def render_Sort(context,sortName,optionList,sortLabel):
    __M_caller = context.caller_stack._push_frame()
    try:
        __M_writer = context.writer()
        __M_writer('\n<h3 class="box-header">')
        __M_writer(filters.html_escape(str(sortLabel )))
        __M_writer('</h3>\n<div class="box box-collapsed">\n    <table data-filter="')
        __M_writer(filters.html_escape(str(sortName )))
        __M_writer('">\n')
        for option in optionList:
            __M_writer('        <tr>\n            <td><input type="radio" name="')
            __M_writer(filters.html_escape(str(sortName )))
            __M_writer('" value="')
            __M_writer(filters.html_escape(str(option.value )))
            __M_writer('"></td>\n            <td>')
            __M_writer(filters.html_escape(str(option.name )))
            __M_writer('</td>\n        </tr>\n')
        __M_writer('    </table>\n</div>\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


def render_search_filters(context):
    __M_caller = context.caller_stack._push_frame()
    try:
        user = context.get('user', UNDEFINED)
        len = context.get('len', UNDEFINED)
        config = context.get('config', UNDEFINED)
        def Sort(sortName,optionList,sortLabel):
            return render_Sort(context,sortName,optionList,sortLabel)
        def Filter(filterName,optionList,filterLabel):
            return render_Filter(context,filterName,optionList,filterLabel)
        FormData = context.get('FormData', UNDEFINED)
        Model = context.get('Model', UNDEFINED)
        str = context.get('str', UNDEFINED)
        getattr = context.get('getattr', UNDEFINED)
        __M_writer = context.writer()
        __M_writer('\n')

        from lawrence.Entity.Campus import AuthorizedCampus
        from collections import namedtuple
        from Candidate.Entity.Candidate import Candidate
        
        Option = namedtuple('Option', ['value', 'name'])
        
        CampaignList = db.Execute('''
SELECT Campaign.id AS value,
       Campaign.name AS name
FROM Campaign
     INNER JOIN Course ON Course.id = Campaign.CourseId''')
        
        StatusList = [Option(*t) for t in Candidate.STATUSES.items()]
        AppointmentStatusList = [Option(*t) for t in Candidate.APPOINTMENT_STATUSES.items()]
        
        interviewers = db.Execute('''
SELECT DISTINCT User.id AS value, User.FullName AS name
FROM CandidateAppointment INNER JOIN User ON User.id = CandidateAppointment.UserId
ORDER BY User.FullName''')
        
        CampusList = db.Execute('''
SELECT Campus.id AS value,
       Campus.name AS name
FROM Campus
WHERE Campus.id IN %s
ORDER BY name''',
                (AuthorizedCampus(user) + [0, 0], ))
        
        ExamDateList = [Option(value = row.exam_date, name = LongDay(row.exam_date) + u" de " + LongMonth(row.exam_date)) for row in db.Execute('''
SELECT DISTINCT DATE(ExamDateTime) AS exam_date
FROM Candidate
ORDER BY exam_date''') if row.exam_date is not None]
        
        ExamTimeList = [Option(value = '0' * (8 - len(str(row.exam_time))) + str(row.exam_time),
                               name = ShortTime(row.exam_time)) for row in db.Execute('''
SELECT DISTINCT time(ExamDateTime) AS exam_time
FROM Candidate
ORDER BY exam_time''') if row.exam_time is not None]
        
        SortOrderList = [
                Option(value = 'student_name', name = u"nome"),
                Option(value = 'last_comment', name = u"último comentário"),
                Option(value = 'total_grade', name = u"nota no exame"),
                Option(value = 'enem', name = u"nota no ENEM"),
                Option(value = 'negotiation_gap', name = u"gap da negociação"),
                Option(value = 'rating', name = u"avaliação"),
        ]
        
        TagList = db.Execute('''
SELECT CandidateTag.Id AS value,
       CandidateTag.Name AS name
FROM CandidateTag
ORDER BY name''')
        
        
        
        __M_writer('\n    <form class="form-search">\n        <div class="input-append">\n            <input type="text" id="Query"\n                   value="')
        __M_writer(filters.html_escape(str(getattr(FormData, 'query', '') )))
        __M_writer('"\n                   class="search-query input-block-level">\n            <button type="button" class="btn" id="QueryButton"><i class="icon-search"></i></button>\n        </div>\n    </form>\n\n    ')
        Filter('Campaign', CampaignList, u"Campanha") 
        
        __M_writer('\n\n')
        if len(CampusList) > 1:
            __M_writer('    ')
            Filter('Campus', CampusList, u"Unidade") 
            
            __M_writer('\n')
        __M_writer('\n    ')
        Filter('Status', StatusList, u"Situação") 
        
        __M_writer('\n\n\t<div id="AppointmentStatusGroup" style="display: none">\n        ')
        Filter('AppointmentStatus', AppointmentStatusList, u"Situação do atendimento") 
        
        __M_writer('\n\t</div>\n\n    ')
        Filter('ExamDate', ExamDateList, u"Dia do exame") 
        
        __M_writer('\n\n    ')
        Filter('ExamTime', ExamTimeList, u"Hora do exame") 
        
        __M_writer('\n\n    ')
        Filter('Tag', TagList, u"Marcador") 
        
        __M_writer('\n\n    ')
        Sort('SortOrder', SortOrderList, u"Ordenar por…") 
        
        __M_writer('\n\n    <h3 class="box-header">Página</h3>\n    <div class="box">\n\t\t<div data-filter="Page">\n\t\t\t<div class="PagePrevious muted"><i class="icon-caret-left"></i></div><div class="PageNumber">1</div><div class="PageNext"><i class="icon-caret-right"></i></div>\n\t\t\t<input type="hidden" name="Page" value="1">\n\t\t</div>\n\t</div>\n\n    <script src="/static/CandidateIndex.js"></script>\n\n\t<hr>\n\n')
        if Model.CanExport:
            __M_writer('    <h2 class="box-header">Exportar lista...</h2>\n    <div class="box box-collapsed" id="ExportBox">\n\t\t<a href="/candidate/=/export/xlsx/raw/" class="btn quick-btn btn-green btn-block">\n\t\t\t<i class="icon-download-alt"></i>\n\t\t\t<span class="quick-btn-title">Dados de contato</span>\n\t\t</a>\n\t\t<a href="/candidate/=/export/docx/certificate/" class="btn quick-btn btn-blue btn-block">\n\t\t\t<i class="icon-download-alt"></i>\n\t\t\t<span class="quick-btn-title">Certificados de aprovação</span>\n\t\t</a>\n')
            if config.db_name == 'apogeu':
                __M_writer('\t\t<a href="/candidate/=/export/docx/certificate-failed/" class="btn quick-btn btn-blue btn-block">\n\t\t\t<i class="icon-download-alt"></i>\n\t\t\t<span class="quick-btn-title">Certificados de reprovação</span>\n\t\t</a>\n')
            __M_writer("    </div>\n\t<script>\n\t$('#ExportBox a').click(function (e) {\n\t\tvar filterDict = getFilterDict();\n\t\tthis.href = this.href.split('?')[0];\n\t\tthis.href += '?' + queryStringFromObject(filterDict);\n\t});\n\t</script>\n")
        __M_writer('\n')
        if Model.CanEMail:
            __M_writer('\t<a class="btn quick-btn btn-block offset3 span6" data-toggle="modal" data-target="#CandidateEmailModal"\n       style="margin-bottom: 8px">\n\t\t<i class="icon-envelope"></i>\n\t\t<span class="quick-btn-title">Enviar email...</span>\n\t</a>\n\n    <div class="modal fade hide" id="CandidateEmailModal">\n        <div class="modal-header">\n            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>\n            <h3>Enviar email&hellip;</h3>\n        </div>\n        <div class="modal-body">\n\t\t\t<form class="form-horizontal" action="/candidate/=/email/" method="POST" id="CandidateEmailForm">\n\t\t\t<div class="control-group">\n\t\t\t\t<label class="control-label">Assunto</label>\n\t\t\t\t<div class="controls">\n\t\t\t\t\t<input type="text" name="Email.Subject">\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class="control-group">\n\t\t\t\t<label class="control-label">Conteúdo</label>\n\t\t\t\t<div class="controls">\n\t\t\t\t\t<textarea name="Email.Body"></textarea>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t</form>\n        </div>\n        <div class="modal-footer">\n            <button type="button" class="btn btn-primary" id="CandidateEmailSubmit">Enviar</button>\n        </div>\n    </div>\n\n    <div class="modal fade hide" id="CandidateEmailProgressModal">\n        <div class="modal-header">\n            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>\n            <h3>Enviando emails&hellip;</h3>\n        </div>\n        <div class="modal-body">\n\t\t\t<div class="progress progress-striped active"><div class="bar" style="width: 100%"></div></div>\n        </div>\n\n        <div class="modal-footer">\n            <button type="button" class="btn" data-dismiss="modal">OK</button>\n        </div>\n    </div>\n\n\t<script>\n\tdocument.getElementById(\'CandidateEmailSubmit\').addEventListener(\'click\', function(e) {\n\t\tvar candidateEmailForm = document.getElementById(\'CandidateEmailForm\');\n\n\t\tvar requestData = { \'Email.Subject\': $(\'[name="Email.Subject"]\').val(), \'Email.Body\': $(\'[name="Email.Body"]\').val() };\n\t\tvar filterDict = getFilterDict();\n\t\tfor (filterName in filterDict) {\n\t\t\tif (!filterDict.hasOwnProperty(filterName)) { continue; }\n\t\t\tvar filterValue = filterDict[filterName];\n\t\t\tif (!filterValue) { continue; }\n\t\t\trequestData[\'CandidateFilter.\' + filterName] = filterValue;\n\t\t}\n\n\t\t$(\'#CandidateEmailModal\').modal(\'hide\');\n\t\t$(\'#CandidateEmailProgressModal\').modal(\'show\');\n\t\t$.ajax({\n\t\t\ttype: \'POST\',\n\t\t\turl: \'/candidate/=/email/\',\n\t\t\tdata: requestData,\n\t\t}).success(function (data, textStatus, jqXHR) {\n\t\t\t$(\'#CandidateEmailProgressModal\').find(\'.modal-body\').html(\'<p>Os emails foram enviados com sucesso.</p>\');\n\t\t\t$(\'#CandidateEmailProgressModal\').find(\'h3\').html(\'Emails enviados\');\n\t\t});\n\t});\n\t</script>\n')
        __M_writer('\t\n')
        if Model.CanCreateQueue:
            __M_writer('\t<a class="btn quick-btn btn-block offset3 span6" data-toggle="modal" data-target="#CandidateQueueNewModal"\n       style="margin-bottom: 8px">\n\t\t<i class="icon-list"></i>\n\t\t<span class="quick-btn-title">Criar fila&hellip;</span>\n\t</a>\n\n    <div class="modal fade hide" id="CandidateQueueNewModal">\n        <div class="modal-header">\n            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>\n            <h3>Criar fila&hellip;</h3>\n        </div>\n        <div class="modal-body">\n\t\t\t<form class="form-horizontal" id="CandidateQueueNewForm">\n\t\t\t<div class="control-group">\n\t\t\t\t<label class="control-label">Nome</label>\n\t\t\t\t<div class="controls">\n\t\t\t\t\t<input type="text" name="Name">\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t</form>\n        </div>\n        <div class="modal-footer">\n            <button type="button" class="btn btn-primary" id="CandidateQueueNewSubmit">Enviar</button>\n        </div>\n    </div>\n\n\t<script>\n    document.getElementById(\'CandidateQueueNewForm\').addEventListener(\'submit\', function(e) {\n        // FIXME: fake button click\n        e.preventDefault();\n    });\n\tdocument.getElementById(\'CandidateQueueNewSubmit\').addEventListener(\'click\', function(e) {\n\t\tvar candidateQueueNewForm = document.getElementById(\'CandidateQueueNewForm\');\n\n\t\tvar requestData = { \'Name\': $(candidateQueueNewForm).find(\'[name="Name"]\').val() };\n\t\tvar filterDict = getFilterDict();\n\t\tfor (filterName in filterDict) {\n\t\t\tif (!filterDict.hasOwnProperty(filterName) || !filterDict[filterName]) { continue; }\n\t\t\trequestData[\'Filter.\' + filterName] = filterDict[filterName];\n\t\t}\n\n        PostRedirect(\'/Candidate/Queue/New/\', requestData);\n\n        e.preventDefault();\n\t});\n\t</script>\n')
        __M_writer('\n')
        if True:
            __M_writer('\t<a class="btn quick-btn btn-block offset3 span6" id="CandidateReportButton"\n       style="margin-bottom: 8px">\n\t\t<i class="icon-signal"></i>\n\t\t<span class="quick-btn-title">Gerar relatório</span>\n\t</a>\n\n\t<script>\n    function updateReport(filterDict) {\n\t\tvar filterDict = filterDict || getFilterDict();\n\t\tvar filterQueryString = queryStringFromObject(filterDict);\n\n\t\tvar $spinner = CreateSpinner($(document.getElementById(\'CandidateListing\')));\n\n        filterDict.Page = undefined;\n\n\t\t$.ajax({\n\t\t\turl: \'/Candidate/_Report/\',\n\t\t\ttype: \'GET\',\n\t\t\tdata: filterDict,\n\t\t}).success(function (data, textStatus, jqXHR) {\n\t\t\t$(document.getElementById(\'CandidateListing\')).html(data);\n\t\t\tDestroySpinner($spinner);\n\t\t\twindow.history.replaceState(filterDict, \'\', window.location.origin + window.location.pathname + \'?\' + filterQueryString);\n\t\t});\n    }\n    document.getElementById(\'CandidateReportButton\').addEventListener(\'click\', function (e) {\n        $(\'h3[data-filter]\').each(function () {\n            $(this).attr(\'draggable\', true);\n            this.addEventListener(\'dragstart\', function (e) {\n                e.dataTransfer.setData(\'farabe/candidate-filter\', this.dataset.filter);\n            }, false);\n        });\n\n        updateReport();\n    }, false);\n\t</script>\n')
        __M_writer('\n')
        if Model.CanImportTags:
            __M_writer('\t<a class="btn quick-btn btn-block offset3 span6" id="btnImportTags" style="margin-bottom: 8px">\n\t\t<i class="icon-tags"></i>\n\t\t<span class="quick-btn-title">Importar marcadores…</span>\n\t</a>\n\n    <div class="modal fade hide" id="frmImportTags">\n        <div class="modal-header">\n            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>\n            <h3>Importar marcadores…</h3>\n        </div>\n        <div class="modal-body">\n\t\t\t<form class="form-horizontal" action="/Candidate/ImportTags/" enctype="multipart/form-data" method="POST">\n\t\t\t<div class="control-group">\n\t\t\t\t<label class="control-label">Planilha</label>\n\t\t\t\t<div class="controls">\n\t\t\t\t\t<input type="file" name="TagSpreadsheet">\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t</form>\n            <p>(<a href="/static/ModeloMarcadores.xlsx">modelo de planilha</a>)</p>\n        </div>\n        <div class="modal-footer">\n            <button type="button" class="btn btn-primary" id="btnSubmitTags">Enviar</button>\n        </div>\n    </div>\n\n\t<script>\n    document.getElementById(\'btnImportTags\').addEventListener(\'click\', function (e) {\n        $(document.getElementById(\'frmImportTags\')).modal(\'show\');\n    });\n    document.getElementById(\'btnSubmitTags\').addEventListener(\'click\', function (e) {\n        $(document.getElementById(\'frmImportTags\')).find(\'form\').submit();\n    })\n\t</script>\n')
        return ''
    finally:
        context.caller_stack._pop_frame()


"""
__M_BEGIN_METADATA
{"uri": "/Candidate/View/Candidate/_Filter.mako", "line_map": {"192": 68, "131": 2, "132": 3, "230": 250, "209": 80, "215": 84, "194": 68, "195": 70, "235": 291, "225": 127, "196": 71, "231": 251, "203": 74, "197": 71, "241": 235, "42": 0, "199": 71, "47": 326, "48": 330, "49": 348, "50": 362, "201": 74, "56": 332, "60": 332, "61": 333, "62": 333, "63": 333, "64": 333, "65": 337, "66": 337, "67": 339, "68": 340, "69": 341, "70": 341, "71": 341, "72": 341, "73": 342, "74": 342, "75": 346, "204": 77, "226": 128, "206": 77, "207": 80, "81": 328, "210": 82, "227": 201, "212": 82, "85": 328, "86": 329, "87": 329, "216": 86, "228": 202, "218": 86, "219": 100, "220": 101, "93": 350, "222": 112, "223": 117, "224": 126, "97": 350, "98": 351, "99": 351, "100": 353, "101": 353, "102": 354, "103": 355, "104": 356, "105": 356, "106": 356, "107": 356, "108": 357, "109": 357, "110": 360, "189": 58, "229": 203, "232": 252, "221": 111, "116": 2, "190": 62, "233": 289, "191": 62, "200": 73, "234": 290, "213": 84}, "filename": "/Users/fmoreira/PyCharmProjects/lawrence/Candidate/View/Candidate/_Filter.mako", "source_encoding": "utf-8"}
__M_END_METADATA
"""
