def PluralizeWord(word):
    if word.endswith("r"):
        return word + "es"
    elif word.endswith("l"):
        return word[:-1] + "is"
    elif word.endswith("ês"):
        return word[:-2] + "eses"
    else:
        return word + "s"

def Pluralize(phrase):
    return " ".join([PluralizeWord(word) for word in phrase.split()])

def FeminizeWord(word):
    if word.endswith("o") or word.endswith("e"):
        if word == "ao":
            return "à"
        return word[:-1] + "a"
    else:
        return word + "a"

def Feminize(phrase):
    return " ".join([FeminizeWord(word) for word in phrase.split()])
